
## Bio

| Module | Description |
| ------ | ----------- |
| [ABySS](http://www.bcgsc.ca/platform/bioinfo/software/abyss) | Assembly By Short Sequences - a de novo, parallel, paired-end sequence assembler |
| [almost](http://www-almost.ch.cam.ac.uk/site) | all atom molecular simulation toolkit - is a fast and flexible molecular modeling environment that provides powerful and efficient algorithms for molecular simulation, homology modeling, de novo design and ab-initio calculations. |
| [bowtie2](http://www.bowtie2.org) | Bowtie 2 is an ultrafast and memory-efficient tool for aligning sequencing reads to long reference sequences. |
| [GATK](http://www.broadinstitute.org/gatk/) | The Genome Analysis Toolkit or GATK is a software package developed at the Broad Institute to analyse next-generation resequencing data. The toolkit offers a wide variety of tools, with a primary focus on variant discovery and genotyping as well as strong emphasis on data quality assurance. Its robust architecture, powerful processing engine and high-performance computing features make it capable of taking on projects of any size. |
| [GROMACS](http://www.gromacs.org) | GROMACS is a versatile package to perform molecular dynamics, i.e. simulate the Newtonian equations of motion for systems with hundreds to millions of particles. |
| [PLUMED](http://www.plumed-code.org) | PLUMED is an open source library for free energy calculations in molecular systems which works together with some of the most popular molecular dynamics engines. Free energy calculations can be performed as a function of many order parameters with a particular focus on biological problems, using state of the art methods such as metadynamics, umbrella sampling and Jarzynski-equation based steered MD. The software, written in C++, can be easily interfaced with both fortran and C/C++ codes. |
| [RELION](http://www2.mrc-lmb.cam.ac.uk/relion/index.php/Main_Page) | RELION (for REgularised LIkelihood OptimisatioN, pronounce rely-on) is a stand-alone computer program that employs an empirical Bayesian approach to refinement of (multiple) 3D reconstructions or 2D class averages in electron cryo-microscopy (cryo-EM). |
| [Rosetta](https://www.rosettacommons.org) | Rosetta is the premier software suite for modeling macromolecular structures. As a flexible, multi-purpose application, it includes tools for structure prediction, design, and remodeling of proteins and nucleic acids. |

## Cae

| Module | Description |
| ------ | ----------- |
| [COMSOL](https://www.comsol.com/) | The COMSOL Multiphysics simulation environment facilitates the steps in the modeling process – defining your geometry, meshing, specifying your physics, solving, and then visualizing your results. It also serves as a platform for the application specific modules. |
| [deMonNano](http://www.demon-software.com) | deMonNano is a software package for density functional theory based tight binding calculations. It is part of the deMon (density of Montréal) suite of programs. The present version of the code of deMon for DFT is now known as deMon2k. This code and general information about deMon are available at http://www.demon-software.com |
| [OpenFOAM](http://www.openfoam.com/) | OpenFOAM is a free, open source CFD software package. OpenFOAM has an extensive range of features to solve anything from complex fluid flows involving chemical reactions, turbulence and heat transfer, to solid dynamics and electromagnetics. |

## Chem

| Module | Description |
| ------ | ----------- |
| [ABINIT](http://www.abinit.org/) | ABINIT is a package whose main program allows one to find the total energy, charge density and electronic structure of systems made of electrons and nuclei (molecules and periodic solids) within Density Functional Theory (DFT), using pseudopotentials and a planewave or wavelet basis. |
| [Amber](http://ambermd.org/amber.html) | Amber (originally Assisted Model Building with Energy Refinement) is software for performing molecular dynamics and structure prediction. |
| [ASE](https://wiki.fysik.dtu.dk/ase/) | ASE is a python package providing an open source Atomic Simulation Environment in the Python scripting language. |
| [CP2K](http://www.cp2k.org/) | CP2K is a freely available (GPL) program, written in Fortran 95, to perform atomistic and molecular simulations of solid state, liquid, molecular and biological systems. It provides a general framework for different methods such as e.g. density functional theory (DFT) using a mixed Gaussian and plane waves approach (GPW), and classical pair and many-body potentials. |
| [cp2k-mpi](http://www.cp2k.org/) | CP2K with Intel MPI support. |
| [LAMMPS](http://lammps.sandia.gov) | LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale Atomic/Molecular Massively Parallel Simulator. Has potentials for solid-state materials (metals, semiconductors) and soft matter (biomolecules, polymers) and coarse-grained or mesoscopic systems. It can be used to model atoms or, more generically, as a parallel particle simulator at the atomic, meso, or continuum scale. |
| [libxc](http://www.tddft.org/programs/octopus/wiki/index.php/Libxc) | Libxc is a library of exchange-correlation functionals for density-functional theory. The aim is to provide a portable, well tested and reliable set of exchange and correlation functionals. |
| [molpro](http://www.molpro.net/") | Molpro quantum chemistry package. |
| [namd](http://www.ks.uiuc.edu/Research/namd/") | NAMD Scalable Molecular Dynamics. |
| [NWChem](http://www.nwchem-sw.org) | NWChem aims to provide its users with computational chemistry tools that are scalable both in their ability to treat large scientific computational chemistry problems efficiently, and in their use of available parallel computing resources from high-performance parallel supercomputers to conventional workstation clusters. NWChem software can handle: biomolecules, nanostructures, and solid-state; from quantum to classical, and all combinations; Gaussian basis functions or plane-waves; scaling from one to thousands of processors; properties and relativity. |
| [OpenBabel](http://openbabel.org) | Open Babel is a chemical toolbox designed to speak the many languages of chemical data. It's an open, collaborative project allowing anyone to search, convert, analyze, or store data from molecular modeling, chemistry, solid-state materials, biochemistry, or related areas. |
| [ORCA](http://cec.mpg.de/forum/) | ORCA is a flexible, efficient and easy-to-use general purpose tool for quantum chemistry with specific emphasis on spectroscopic properties of open-shell molecules. It features a wide variety of standard quantum chemical methods ranging from semiempirical methods to DFT to single- and multireference correlated ab initio methods. It can also treat environmental and relativistic effects. |
| [PLUMED](http://www.plumed-code.org) | PLUMED is an open source library for free energy calculations in molecular systems which works together with some of the most popular molecular dynamics engines. Free energy calculations can be performed as a function of many order parameters with a particular focus on biological problems, using state of the art methods such as metadynamics, umbrella sampling and Jarzynski-equation based steered MD. The software, written in C++, can be easily interfaced with both fortran and C/C++ codes. |
| [QuantumESPRESSO](http://www.pwscf.org/) | Quantum ESPRESSO is an integrated suite of computer codes for electronic-structure calculations and materials modeling at the nanoscale. It is based on density-functional theory, plane waves, and pseudopotentials (both norm-conserving and ultrasoft). |
| [xdrfile](http://www.gromacs.org/Developer_Zone/Programming_Guide/XTC_Library) | XTC library |

## Compiler

| Module | Description |
| ------ | ----------- |
| [bupc](http://upc.lbl.gov/") | Berkley UPC compilers and runtime environment version 2.16.2. |
| [chicken](https://launchpad.net/chicken") | Chicken 4.8.0.6 is an implementation of the Scheme. |
| [Clang](http://clang.llvm.org/) | C, C++, Objective-C compiler, based on LLVM. Does not include C++ standard library -- use libstdc++ from GCC. |
| [GCC](http://gcc.gnu.org/) | The GNU Compiler Collection includes front ends for C, C++, Objective-C, Fortran, Java, and Ada, as well as libraries for these languages (libstdc++, libgcj,...). |
| [GCCcore](http://gcc.gnu.org/) | The GNU Compiler Collection includes front ends for C, C++, Objective-C, Fortran, Java, and Ada, as well as libraries for these languages (libstdc++, libgcj,...). |
| [gupc](http://www.gccupc.org/") | The GNU UPC toolset provides a compilation and execution environment for programs written in the UPC (Unified Parallel C) language. The GNU UPC compiler extends the capabilities of the GNU GCC compiler.. |
| [icc](http://software.intel.com/en-us/intel-compilers/) | C and C++ compiler from Intel |
| [ifort](http://software.intel.com/en-us/intel-compilers/) | Fortran compiler from Intel |
| [ispc](http://ispc.github.io/) | Intel SPMD Program Compilers; An open-source compiler for high-performance SIMD programming on the CPU. ispc is a compiler for a variant of the C programming language, with extensions for 'single program, multiple data' (SPMD) programming. Under the SPMD model, the programmer writes a program that generally appears to be a regular serial program, though the execution model is actually that a number of program instances execute in parallel on the hardware. |
| [LLVM](http://llvm.org/) | The LLVM Core libraries provide a modern source- and target-independent optimizer, along with code generation support for many popular CPUs (as well as some less common ones!) These libraries are built around a well specified code representation known as the LLVM intermediate representation ("LLVM IR"). The LLVM Core libraries are well documented, and it is particularly easy to invent your own language (or port an existing compiler) to use LLVM as an optimizer and code generator. |
| [OpenCoarrays](http://www.opencoarrays.org/) | A transport layer for coarray Fortran compilers. |
| [PGI](http://www.pgroup.com/) | C, C++ and Fortran compilers from The Portland Group - PGI |

## Data

| Module | Description |
| ------ | ----------- |
| [GDAL](http://www.gdal.org/) | GDAL is a translator library for raster geospatial data formats that is released under an X/MIT style Open Source license by the Open Source Geospatial Foundation. As a library, it presents a single abstract data model to the calling application for all supported formats. It also comes with a variety of useful commandline utilities for data translation and processing. |
| [HDF5](http://www.hdfgroup.org/HDF5/) | HDF5 is a unique technology suite that makes possible the management of extremely large and complex data collections. |
| [netCDF](http://www.unidata.ucar.edu/software/netcdf/) | NetCDF (network Common Data Form) is a set of software libraries and machine-independent data formats that support the creation, access, and sharing of array-oriented scientific data. |
| [netCDF-Fortran](http://www.unidata.ucar.edu/software/netcdf/) | NetCDF (network Common Data Form) is a set of software libraries and machine-independent data formats that support the creation, access, and sharing of array-oriented scientific data. |
| [PostgreSQL](http://www.mysql.com/) | PostgreSQL is a powerful, open source object-relational database system. It is fully ACID compliant, has full support for foreign keys, joins, views, triggers, and stored procedures (in multiple languages). It includes most SQL:2008 data types, including INTEGER, NUMERIC, BOOLEAN, CHAR, VARCHAR, DATE, INTERVAL, and TIMESTAMP. It also supports storage of binary large objects, including pictures, sounds, or video. It has native programming interfaces for C/C++, Java, .Net, Perl, Python, Ruby, Tcl, ODBC, among others, and exceptional documentation. |
| [redis](https://redis.io) | Redis is an open source (BSD licensed), in-memory data structure store, used as a database, cache and message broker. |
| [scikit-learn](http://scikit-learn.org/stable/index.html) | Scikit-learn integrates machine learning algorithms in the tightly-knit scientific Python world, building upon numpy, scipy, and matplotlib. As a machine-learning module, it provides versatile tools for data mining and analysis in any field of science and engineering. It strives to be simple and efficient, accessible to everybody, and reusable in various contexts. |

## Debugger

| Module | Description |
| ------ | ----------- |
| [Forge](http://www.allinea.com/products/develop-allinea-forge) | Allinea Forge is the complete toolsuite for software development - with everything needed to debug, profile, optimize, edit and build C, C++ and FORTRAN applications on Linux for high performance - from single threads through to complex parallel HPC codes with MPI, OpenMP, threads or CUDA. |
| [PerformanceReports](http://www.allinea.com/products/allinea-performance-reports) | Allinea Performance Reports are the most effective way to characterize and understand the performance of HPC application runs. One single-page HTML report elegantly answers a range of vital questions for any HPC site. - Is this application well-optimized for the system and the processors it is running on? - Does it benefit from running at this scale? - Are there I/O, networking or threading bottlenecks affecting performance? - Which hardware, software or configuration changes can we make to improve performance further. - How much energy did this application use? |
| [TotalView](http://www.roguewave.com/products/totalview.aspx) | TotalView is a GUI-based source code defect analysis tool that gives you unprecedented control over processes and thread execution and visibility into program state and variables. It allows you to debug one or many processes and/or threads in a single window with complete control over program execution. This allows you to set breakpoints, stepping line by line through the code on a single thread, or with coordinated groups of processes or threads, and run or halt arbitrary sets of processes or threads. You can reproduce and troubleshoot difficult problems that can occur in concurrent programs that take advantage of threads, OpenMP, MPI, GPUs or coprocessors. |

## Devel

| Module | Description |
| ------ | ----------- |
| [ant](http://ant.apache.org/) | Apache Ant is a Java library and command-line tool whose mission is to drive processes described in build files as targets and extension points dependent upon each other. The main known usage of Ant is the build of Java applications. |
| [Autoconf](http://www.gnu.org/software/autoconf/) | Autoconf is an extensible package of M4 macros that produce shell scripts to automatically configure software source code packages. These scripts can adapt the packages to many kinds of UNIX-like systems without manual user intervention. Autoconf creates a configuration script for a package from a template file that lists the operating system features that the package can use, in the form of M4 macro calls. |
| [Automake](http://www.gnu.org/software/automake/automake.html) | Automake: GNU Standards-compliant Makefile generator |
| [Autotools](http://autotools.io) | This bundle collect the standard GNU build tools: Autoconf, Automake and libtool |
| [Bazel](http://bazel.io/) | Bazel is a build tool that builds code quickly and reliably. It is used to build the majority of Google's software. |
| [Boost](http://www.boost.org/) | Boost provides free peer-reviewed portable C++ source libraries. |
| [Caffe](https://github.com/BVLC/caffe) | Caffe is a deep learning framework made with expression, speed, and modularity in mind. It is developed by the Berkeley Vision and Learning Center (BVLC) and community contributors. |
| [CMake](http://www.cmake.org) | CMake, the cross-platform, open-source build system. CMake is a family of tools designed to build, test and package software. |
| [Doxygen](http://www.doxygen.org) | Doxygen is a documentation system for C++, C, Java, Objective-C, Python, IDL (Corba and Microsoft flavors), Fortran, VHDL, PHP, C#, and to some extent D. |
| [fontsproto](http://www.freedesktop.org/wiki/Software/xlibs) | X11 font extension wire protocol |
| [gflags](https://github.com/gflags/gflags) | The gflags package contains a C++ library that implements commandline flags processing. It includes built-in support for standard types such as string and the ability to define flags in the source file in which they are used. |
| [glog](https://github.com/google/glog) | A C++ implementation of the Google logging module. |
| [GObject-Introspection](https://wiki.gnome.org/GObjectIntrospection/) | GObject introspection is a middleware layer between C libraries (using GObject) and language bindings. The C library can be scanned at compile time and generate a metadata file, in addition to the actual native C library. Then at runtime, language bindings can read this metadata and automatically provide bindings to call into the C library. |
| [gperf](http://www.gnu.org/software/gperf/) | GNU gperf is a perfect hash function generator. For a given list of strings, it produces a hash function and hash table, in form of C or C++ code, for looking up a value depending on the input string. The hash function is perfect, which means that the hash table has no collisions, and the hash table lookup needs a single string comparison only. |
| [guile](http://www.gnu.org/software/guile) | Guile is the GNU Ubiquitous Intelligent Language for Extensions, the official extension language for the GNU operating system. |
| [Jansson](http://www.digip.org/jansson/) | Jansson is a C library for encoding, decoding and manipulating JSON data. Its main features and design principles are: * Simple and intuitive API and data model * Comprehensive documentation * No dependencies on other libraries * Full Unicode support (UTF-8) * Extensive test suite |
| [JUnit](http://sourceforge.net/projects/junit) | A programmer-oriented testing framework for Java. |
| [LevelDB](https://github.com/google/leveldb) | LevelDB is a fast key-value storage library written at Google that provides an ordered mapping from string keys to string values. |
| [libSM](http://www.freedesktop.org/wiki/Software/xlibs) | X11 Session Management library, which allows for applications to both manage sessions, and make use of session managers to save and restore their state for later use. |
| [LMDB](https://github.com/LMDB/lmdb) | OpenLDAP's Lightning Memory-Mapped Database (LMDB) library. |
| [M4](http://www.gnu.org/software/m4/m4.html) | GNU M4 is an implementation of the traditional Unix macro processor. It is mostly SVR4 compatible although it has some extensions (for example, handling more than 9 positional parameters to macros). GNU M4 also has built-in functions for including files, running shell commands, doing arithmetic, etc. |
| [make](http://www.gnu.org/software/make/make.html) | make-3.82: GNU version of make utility |
| [makedepend](http://www.linuxfromscratch.org/blfs/view/svn/x/makedepend.html) | The makedepend package contains a C-preprocessor like utility to determine build-time dependencies. |
| [Mako](http://www.makotemplates.org) | A super-fast templating language that borrows the best ideas from the existing templating languages |
| [Maven](http://maven.apache.org/index.html") | Binary maven install, Apache Maven is a software project management and comprehension tool. Based on the concept of a project object model (POM), Maven can manage a project's build, reporting and documentation from a central piece of information. |
| [NCCL](https://developer.nvidia.com/nccl) | NVIDIA Collective Communications Library |
| [ncurses](http://www.gnu.org/software/ncurses/) | The Ncurses (new curses) library is a free software emulation of curses in System V Release 4.0, and more. It uses Terminfo format, supports pads and color and multiple highlights and forms characters and function-key mapping, and has all the other SYSV-curses enhancements over BSD Curses. |
| [PCRE](http://www.pcre.org/) | The PCRE library is a set of functions that implement regular expression pattern matching using the same syntax and semantics as Perl 5. |
| [pkg-config](http://www.freedesktop.org/wiki/Software/pkg-config/) | pkg-config is a helper tool used when compiling applications and libraries. It helps you insert the correct compiler options on the command line so an application can use gcc -o test test.c `pkg-config --libs --cflags glib-2.0` for instance, rather than hard-coding values on where to find glib (or other libraries). |
| [protobuf](https://github.com/google/protobuf/) | Google Protocol Buffers |
| [protobuf-python](https://github.com/google/protobuf/) | Python Protocol Buffers runtime library. |
| [Qt](http://qt-project.org/) | Qt is a comprehensive cross-platform C++ application framework. |
| [Qt5](http://qt.io/) | Qt is a comprehensive cross-platform C++ application framework. |
| [renderproto](http://www.freedesktop.org/wiki/Software/xlibs) | Xrender protocol and ancillary headers |
| [SCons](http://www.scons.org/) | SCons is a software construction tool. |
| [Spack](https://spack.io/) | Spack is a package manager for supercomputers, Linux, and macOS. It makes installing scientific software easy. With Spack, you can build a package with multiple versions, configurations, platforms, and compilers, and all of these builds can coexist on the same machine. |
| [Spark](http://spark.apache.org) | Spark is Hadoop MapReduce done in memory |
| [sparsehash](https://github.com/sparsehash/sparsehash) | An extremely memory-efficient hash_map implementation. 2 bits/entry overhead! The SparseHash library contains several hash-map implementations, including implementations that optimize for space or speed. |
| [SQLite](http://www.sqlite.org/) | SQLite: SQL Database Engine in a C Library |
| [squashfs-tools](http://squashfs.sourceforge.net/) | Squashfs is a compressed read-only filesystem for Linux. |
| [SWIG](http://www.swig.org/) | SWIG is a software development tool that connects programs written in C and C++ with a variety of high-level programming languages. |
| [xbitmaps](http://www.freedesktop.org/wiki/Software/xlibs) | provides bitmaps for x |
| [xcb-proto](http://xcb.freedesktop.org/) | The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility. |
| [xcb-util](http://xcb.freedesktop.org") | The xcb-util package provides additional extensions to the XCB library, many that were previously found in Xlib, but are not part of core X protocol. |
| [xcb-util-image](http://xcb.freedesktop.org/") | The xcb-util-image package provides additional extensions to the XCB library. |
| [xcb-util-keysyms](http://xcb.freedesktop.org") | The xcb-util-keysyms package contains a library for handling standard X key constants and conversion to/from keycodes. |
| [xcb-util-renderutil](http://xcb.freedesktop.org") | The xcb-util-renderutil package provides additional extensions to the XCB library.. |
| [xcb-util-wm](http://xcb.freedesktop.org) | The xcb-util-wm package contains libraries which provide client and window-manager helpers for EWMH and ICCCM. |
| [xextproto](http://www.freedesktop.org/wiki/Software/xlibs) | XExtProto protocol headers. |
| [xineramaproto](http://www.freedesktop.org/wiki/Software/xlibs) | X protocol and ancillary headers for xinerama |
| [xorg-macros](http://cgit.freedesktop.org/xorg/util/macros) | X.org macros utilities. |
| [xproto](http://www.freedesktop.org/wiki/Software/xlibs) | X protocol and ancillary headers. |
| [xtrans](http://www.freedesktop.org/wiki/Software/xlibs) | xtrans includes a number of routines to make X implementations transport-independent; at time of writing, it includes support for UNIX sockets, IPv4, IPv6, and DECnet. |

## Geo

| Module | Description |
| ------ | ----------- |
| [Doris](http://doris.tudelft.nl/) | Delft object-oriented radar interferometric software |
| [PHREEQC](https://wwwbrr.cr.usgs.gov/projects/GWC_coupled/phreeqc/) | A Computer Program for Speciation, Batch-Reaction, One-Dimensional Transport, and Inverse Geochemical Calculations |
| [PROJ_4](http://proj.osgeo.org) | PROJ.4 - Cartographic Projections Library originally written by Gerald Evenden then of the USGS. |

## Lang

| Module | Description |
| ------ | ----------- |
| [Anaconda2](https://www.continuum.io/anaconda-overview) | Built to complement the rich, open source Python community, the Anaconda platform provides an enterprise-ready data analytics platform that empowers companies to adopt a modern open data science analytics architecture. |
| [Anaconda3](https://www.continuum.io/anaconda-overview) | Built to complement the rich, open source Python community, the Anaconda platform provides an enterprise-ready data analytics platform that empowers companies to adopt a modern open data science analytics architecture. |
| [Bison](http://www.gnu.org/software/bison) | Bison is a general-purpose parser generator that converts an annotated context-free grammar into a deterministic LR or generalized LR (GLR) parser employing LALR(1) parser tables. |
| [byacc](http://invisible-island.net/byacc/byacc.html) | Berkeley Yacc (byacc) is generally conceded to be the best yacc variant available. In contrast to bison, it is written to avoid dependencies upon a particular compiler. |
| [Cython](https://pypi.python.org/pypi/Cython/) | The Cython language makes writing C extensions for the Python language as easy as Python itself. Cython is a source code translator based on the well-known Pyrex, but supports more cutting edge functionality and optimizations. |
| [dotNET-Core-Runtime](https://www.microsoft.com/net/) | .NET is a free, cross-platform, open source developer platform for building many different types of applications. |
| [dotNET-Core-SDK](https://www.microsoft.com/net/) | .NET is a free, cross-platform, open source developer platform for building many different types of applications. |
| [flex](http://flex.sourceforge.net/) | Flex (Fast Lexical Analyzer) is a tool for generating scanners. A scanner, sometimes called a tokenizer, is a program which recognizes lexical patterns in text. |
| [FriBidi](https://github.com/fribidi/fribidi) | The Free Implementation of the Unicode Bidirectional Algorithm. |
| [Java](http://java.com/) | Java Platform, Standard Edition (Java SE) lets you develop and deploy Java applications on desktops and servers. |
| [libgdiplus](https://github.com/mono/libgdiplus) | An Open Source implementation of the GDI+ API. |
| Lua | Old module, description not available. |
| [Mono](http://mono-framework.com) | An open source, cross-platform, implementation of C# and the CLR that is binary compatible with Microsoft.NET. |
| [NASM](http://www.nasm.us/) | NASM: General-purpose x86 assembler |
| [OpenCL-runtime](https://software.intel.com/en-us/intel-opencl) | OpenCL™ is the first open, royalty-free standard for cross-platform, parallel programming of modern processors found in personal computers, servers and handheld/embedded devices. OpenCL (Open Computing Language) greatly improves speed and responsiveness for a wide spectrum of applications in numerous market categories from gaming and entertainment to scientific and medical software. |
| [OpenCL-sdk](https://software.intel.com/en-us/intel-opencl) | OpenCL™ is the first open, royalty-free standard for cross-platform, parallel programming of modern processors found in personal computers, servers and handheld/embedded devices. OpenCL (Open Computing Language) greatly improves speed and responsiveness for a wide spectrum of applications in numerous market categories from gaming and entertainment to scientific and medical software. |
| [Perl](http://www.perl.org/) | Larry Wall's Practical Extraction and Report Language |
| Python | Old module, description not available. |
| [R](http://www.r-project.org/) | R is a free software environment for statistical computing and graphics. |
| [RapidJSON](http://rapidjson.org/) | A fast JSON parser/generator for C++ with both SAX/DOM style API Tencent is pleased to support the open source community by making RapidJSON available. Copyright (C) 2015 THL A29 Limited, a Tencent company, and Milo Yip. All rights reserved. |
| [Ruby](https://www.ruby-lang.org) | Ruby is a dynamic, open source programming language with a focus on simplicity and productivity. It has an elegant syntax that is natural to read and easy to write. |
| [sqsgenerator](https://github.com/dnoeger/sqsgenerator) | This package is a Special Quasirandom Structure generator written in Python3/Cython. Please note that the programm currently only works with Python 3. |
| [Tcl](http://www.tcl.tk/) | Tcl (Tool Command Language) is a very powerful but easy to learn dynamic programming language, suitable for a very wide range of uses, including web and desktop applications, networking, administration, testing and many more. |
| [Yasm](http://www.tortall.net/projects/yasm/) | Yasm: Complete rewrite of the NASM assembler with BSD license |

## Lib

| Module | Description |
| ------ | ----------- |
| [astroid](https://github.com/PyCQA/astroid) | The aim of this module is to provide a common base representation of python source code for projects such as pychecker, pyreverse, pylint… Well, actually the development of this library is essentially governed by pylint’s needs. It used to be called logilab-astng. |
| [darshan-runtime](http://www.mcs.anl.gov/research/projects/darshan/) | Darshan is designed to capture an accurate picture of application I/O behavior, including properties such as patterns of access within files, with minimum overhead. The name is taken from a Sanskrit word for “sight” or “vision”. Darshan can be used to investigate and tune the I/O behavior of complex HPC applications. In addition, Darshan’s lightweight design makes it suitable for full time deployment for workload characterization of large systems. We hope that such studies will help the storage research community to better serve the needs of scientific computing. Darshan was originally developed on the IBM Blue Gene series of computers deployed at the Argonne Leadership Computing Facility, but it is portable across a wide variety of platforms include the Cray XE6, Cray XC30, and Linux clusters. Darshan routinely instruments jobs using up to 786,432 compute cores on the Mira system at ALCF. |
| [darshan-util](http://www.mcs.anl.gov/research/projects/darshan/) | Darshan is designed to capture an accurate picture of application I/O behavior, including properties such as patterns of access within files, with minimum overhead. The name is taken from a Sanskrit word for “sight” or “vision”. Darshan can be used to investigate and tune the I/O behavior of complex HPC applications. In addition, Darshan’s lightweight design makes it suitable for full time deployment for workload characterization of large systems. We hope that such studies will help the storage research community to better serve the needs of scientific computing. Darshan was originally developed on the IBM Blue Gene series of computers deployed at the Argonne Leadership Computing Facility, but it is portable across a wide variety of platforms include the Cray XE6, Cray XC30, and Linux clusters. Darshan routinely instruments jobs using up to 786,432 compute cores on the Mira system at ALCF. |
| [Embree](https://embree.github.io/index.html) | Embree is a collection of high-performance ray tracing kernels, developed at Intel. |
| [freeglut](http://freeglut.sourceforge.net/) | freeglut is a completely OpenSourced alternative to the OpenGL Utility Toolkit (GLUT) library. |
| [glibc](https://www.gnu.org/software/libc/) | The Glibc package contains the main C library. This library provides the basic routines for allocating memory, searching directories, opening and closing files, reading and writing files, string handling, pattern matching, arithmetic, and so on. |
| [GLM](https://github.com/g-truc/glm) | OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics software based on the OpenGL Shading Language (GLSL) specifications. |
| [isort](https://github.com/timothycrosley/isort) | isort is a Python utility / library to sort imports alphabetically, and automatically separated into sections. It provides a command line utility, Python library and plugins for various editors to quickly sort all your imports. |
| [libarchive](https://www.libarchive.org/) | Multi-format archive and compression library |
| [libdrm](http://dri.freedesktop.org) | Direct Rendering Manager runtime library. |
| [libevent](http://libevent.org/) | The libevent API provides a mechanism to execute a callback function when a specific event occurs on a file descriptor or after a timeout has been reached. Furthermore, libevent also support callbacks due to signals or regular timeouts. |
| [libffi](http://sourceware.org/libffi/) | The libffi library provides a portable, high level programming interface to various calling conventions. This allows a programmer to call any function specified by a call interface description at run-time. |
| [libfontenc](http://www.freedesktop.org/wiki/Software/xlibs/) | X11 font encoding library |
| [libgd](https://libgd.github.io/) | GD is an open source code library for the dynamic creation of images by programmers. |
| [libjpeg-turbo](http://sourceforge.net/projects/libjpeg-turbo/) | libjpeg-turbo is a fork of the original IJG libjpeg which uses SIMD to accelerate baseline JPEG compression and decompression. libjpeg is a library that implements JPEG image encoding, decoding and transcoding. |
| [libmatheval](http://www.gnu.org/software/libmatheval/) | GNU libmatheval is a library (callable from C and Fortran) to parse and evaluate symbolic expressions input as text. |
| [libpng](http://www.libpng.org/pub/png/libpng.html) | libpng is the official PNG reference library |
| [libpthread-stubs](http://xcb.freedesktop.org/) | The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility. |
| [libreadline](http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html) | The GNU Readline library provides a set of functions for use by applications that allow users to edit command lines as they are typed in. Both Emacs and vi editing modes are available. The Readline library includes additional functions to maintain a list of previously-entered command lines, to recall and perhaps reedit those lines, and perform csh-like history expansion on previous commands. |
| [libsndfile](http://www.mega-nerd.com/libsndfile) | Libsndfile is a C library for reading and writing files containing sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format) through one standard library interface. |
| [LIBSVM](http://www.csie.ntu.edu.tw/~cjlin/libsvm/) | LIBSVM is an integrated software for support vector classification, (C-SVC, nu-SVC), regression (epsilon-SVR, nu-SVR) and distribution estimation (one-class SVM). It supports multi-class classification. |
| [LibTIFF](http://www.remotesensing.org/libtiff/) | tiff: Library and tools for reading and writing TIFF data files |
| [libtool](http://www.gnu.org/software/libtool) | GNU libtool is a generic library support script. Libtool hides the complexity of using shared libraries behind a consistent, portable interface. |
| [libunistring](http://www.gnu.org/software/libunistring/) | This library provides functions for manipulating Unicode strings and for manipulating C strings according to the Unicode standard. |
| [libunwind](http://www.nongnu.org/libunwind/) | The primary goal of libunwind is to define a portable and efficient C programming interface (API) to determine the call-chain of a program. The API additionally provides the means to manipulate the preserved (callee-saved) state of each call-frame and to resume execution at any point in the call-chain (non-local goto). The API supports both local (same-process) and remote (across-process) operation. As such, the API is useful in a number of applications |
| [LibUUID](http://sourceforge.net/projects/libuuid/) | Portable uuid C library |
| [libxcb](http://xcb.freedesktop.org/) | The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility. . |
| [libxml2](http://xmlsoft.org/) | Libxml2 is the XML C parser and toolchain developed for the Gnome project (but usable outside of the Gnome platform). |
| [libxslt](http://xmlsoft.org/) | Libxslt is the XSLT C library developed for the GNOME project (but usable outside of the Gnome platform). |
| [libyaml](http://pyyaml.org/wiki/LibYAML) | LibYAML is a YAML 1.1 parser and emitter written in C. |
| [lxml](http://lxml.de/) | The lxml XML toolkit is a Pythonic binding for the C libraries libxml2 and libxslt. |
| [MATIO](http://sourceforge.net/projects/matio/) | matio is an C library for reading and writing Matlab MAT files. |
| [mpi4py](https://bitbucket.org/mpi4py/mpi4py) | MPI for Python (mpi4py) provides bindings of the Message Passing Interface (MPI) standard for the Python programming language, allowing any Python program to exploit multiple processors. |
| [nettle](http://www.lysator.liu.se/~nisse/nettle/) | Nettle is a cryptographic library that is designed to fit easily in more or less any context: In crypto toolkits for object-oriented languages (C++, Python, Pike, ...), in applications like LSH or GNUPG, or even in kernel space. |
| [PROJ](http://trac.osgeo.org/proj/) | Program proj is a standard Unix filter function which converts geographic longitude and latitude coordinates into cartesian coordinates |
| [psycopg2](http://initd.org/psycopg/) | Psycopg is the most popular PostgreSQL adapter for the Python programming language. |
| [pylint](https://github.com/PyCQA/pylint) | Pylint is a Python source code analyzer which looks for programming errors, helps enforcing a coding standard and sniffs for some code smells (as defined in Martin Fowler's Refactoring book). |
| [PyYAML](https://pypi.python.org/pypi/PyYAML/) | PyYAML is a YAML parser and emitter for the Python programming language. |
| [SIONlib](http://www.fz-juelich.de/ias/jsc/EN/Expertise/Support/Software/SIONlib/_node.html) | SIONlib is a scalable I/O library for parallel access to task-local files. The library not only supports writing and reading binary data to or from several thousands of processors into a single or a small number of physical files, but also provides global open and close functions to access SIONlib files in parallel. SIONlib provides different interfaces: parallel access using MPI, OpenMP, or their combination, and sequential access for post-processing utilities. |
| [snappy](https://github.com/google/snappy) | Snappy is a compression/decompression library. It does not aim for maximum compression, or compatibility with any other compression library; instead, it aims for very high speeds and reasonable compression. |
| [SpatiaLite](https://www.gaia-gis.it/fossil/libspatialite/index) | SpatiaLite is an open source library intended to extend the SQLite core to support fully fledged Spatial SQL capabilities. |
| [spGPU](https://github.com/davidebarbieri/spgpu) | spGPU is a set of custom matrix storages and CUDA kernels for sparse linear algebra computing on GPU. It isn't a replacement for cuBLAS/cuSPARSE that should be used for a full featured linear algebra environment on GPU. |
| [tbb](http://software.intel.com/en-us/articles/intel-tbb/) | Intel Threading Building Blocks 4.0 (Intel TBB) is a widely used, award-winning C++ template library for creating reliable, portable, and scalable parallel applications. Use Intel TBB for a simple and rapid way of developing robust task-based parallel applications that scale to available processor cores, are compatible with multiple environments, and are easier to maintain. Intel TBB is the most proficient way to implement future-proof parallel applications that tap into the power and performance of multicore and manycore hardware platforms. |
| [Tensorflow](https://www.tensorflow.org/) | An open-source software library for Machine Intelligence |
| [zlib](http://www.zlib.net/) | zlib is designed to be a free, general-purpose, legally unencumbered -- that is, not covered by any patents -- lossless data-compression library for use on virtually any computer hardware and operating system. |

## Math

| Module | Description |
| ------ | ----------- |
| [Eigen](http://eigen.tuxfamily.org/index.php?title=Main_Page) | Eigen is a C++ template library for linear algebra: matrices, vectors, numerical solvers, and related algorithms. |
| [GEOS](http://trac.osgeo.org/geos) | GEOS (Geometry Engine - Open Source) is a C++ port of the Java Topology Suite (JTS) |
| [GMP](http://gmplib.org/) | GMP is a free library for arbitrary precision arithmetic, operating on signed integers, rational numbers, and floating point numbers. |
| [h5py](https://github.com/jupyter/testpath) | Test utilities for code working with files and commands |
| [ISL](http://isl.gforge.inria.fr/) | isl is a library for manipulating sets and relations of integer points bounded by linear constraints. |
| [Keras](https://keras.io/) | Keras is a minimalist, highly modular neural networks library, written in Python and capable of running on top of either TensorFlow or Theano. |
| [MATLAB](http://www.mathworks.com/products/matlab) | MATLAB is a high-level language and interactive environment that enables you to perform computationally intensive tasks faster than with traditional programming languages such as C, C++, and Fortran. |
| [METIS](http://glaros.dtc.umn.edu/gkhome/metis/metis/overview) | METIS is a set of serial programs for partitioning graphs, partitioning finite element meshes, and producing fill reducing orderings for sparse matrices. The algorithms implemented in METIS are based on the multilevel recursive-bisection, multilevel k-way, and multi-constraint partitioning schemes. |
| [MLD2P4](http://www.mld2p4.it) | MLD2P4 (Multi-Level Domain Decomposition Parallel Preconditioners Package based on PSBLAS) is a package of parallel algebraic multi-level preconditioners. It implements various versions of one-level additive and of multi-level additive and hybrid Schwarz algorithms. In the multi-level case, a purely algebraic approach is applied to generate coarse-level corrections, so that no geometric background is needed concerning the matrix to be preconditioned. The matrix is assumed to be square, real or complex, with a symmetric sparsity pattern. |
| [MPFR](http://www.mpfr.org) | The MPFR library is a C library for multiple-precision floating-point computations with correct rounding. |
| [numpy](https://github.com/jupyter/testpath) | Test utilities for code working with files and commands |
| [Octave](http://www.gnu.org/software/octave/) | GNU Octave is a high-level interpreted language, primarily intended for numerical computations. |
| [ParMETIS](http://glaros.dtc.umn.edu/gkhome/metis/parmetis/overview) | ParMETIS is an MPI-based parallel library that implements a variety of algorithms for partitioning unstructured graphs, meshes, and for computing fill-reducing orderings of sparse matrices. ParMETIS extends the functionality provided by METIS and includes routines that are especially suited for parallel AMR computations and large scale numerical simulations. The algorithms implemented in ParMETIS are based on the parallel multilevel k-way graph-partitioning, adaptive repartitioning, and parallel multi-constrained partitioning schemes. |
| [PSBLAS](http://people.uniroma2.it/salvatore.filippone/psblas/) | Most computationally intensive applications work on irregular and sparse domains that complicate their implementation on parallel machines. The major goal of the Parallel Sparse Basic Linear Algebra Subroutines (PSBLAS) project is to provide a framework to enable easy, efficient and portable implementations of iterative solvers for linear systems, while shielding the user from most details of their parallelization. The interface is designed keeping in view a Single Program Multiple Data programming model on distributed memory machines. |
| [PSBLAS-ext](http://people.uniroma2.it/salvatore.filippone/psblas/) | PSBLAS - Extended formats and NVIDIA GPU support |
| [Qhull](http://www.qhull.org) | Qhull computes the convex hull, Delaunay triangulation, Voronoi diagram, halfspace intersection about a point, furthest-site Delaunay triangulation, and furthest-site Voronoi diagram. The source code runs in 2-d, 3-d, 4-d, and higher dimensions. Qhull implements the Quickhull algorithm for computing the convex hull. |
| [ScientificPython](https://sourcesup.cru.fr/projects/scientific-py/) | ScientificPython is a collection of Python modules for scientific computing. It contains support for geometry, mathematical functions, statistics, physical units, IO, visualization, and parallelization. |
| [scipy](https://github.com/jupyter/testpath) | Test utilities for code working with files and commands |
| [SCOTCH](http://gforge.inria.fr/projects/scotch/) | Software package and libraries for sequential and parallel graph partitioning, static mapping, and sparse matrix block ordering, and sequential mesh and hypergraph partitioning. |
| [Theano](http://deeplearning.net/software/theano) | Theano is a Python library that allows you to define, optimize, and evaluate mathematical expressions involving multi-dimensional arrays efficiently. |

## Mpi

| Module | Description |
| ------ | ----------- |
| bullxmpi | Sets up Open MPI in your environment. |
| [impi](http://software.intel.com/en-us/intel-mpi-library/) | The Intel(R) MPI Library for Linux* OS is a multi-fabric message passing library based on ANL MPICH2 and OSU MVAPICH2. The Intel MPI Library for Linux OS implements the Message Passing Interface, version 2 (MPI-2) specification. |
| lam | Sets up intel MPI in your enviornment. |
| [MPICH](http://www.mpich.org/) | MPICH v3.x is an open source high-performance MPI 3.0 implementation. It does not support InfiniBand (use MVAPICH2 with InfiniBand devices). |
| mvapich2 | Sets up MPI in your environment. |
| [OpenMPI](http://www.open-mpi.org/) | The Open MPI Project is an open source MPI-2 implementation. |

## Numlib

| Module | Description |
| ------ | ----------- |
| [Armadillo](http://arma.sourceforge.net/) | Armadillo is an open-source C++ linear algebra library (matrix maths) aiming towards a good balance between speed and ease of use. Integer, floating point and complex numbers are supported, as well as a subset of trigonometric and statistics functions. |
| [arpack-ng](http://forge.scilab.org/index.php/p/arpack-ng/) | ARPACK is a collection of Fortran77 subroutines designed to solve large scale eigenvalue problems. |
| [ATLAS](http://math-atlas.sourceforge.net) | ATLAS (Automatically Tuned Linear Algebra Software) is the application of the AEOS (Automated Empirical Optimization of Software) paradigm, with the present emphasis on the Basic Linear Algebra Subprograms (BLAS), a widely used, performance-critical, linear algebra kernel library. |
| [CGAL](http://www.cgal.org/) | [The goal of the CGAL Open Source Project is to provide easy access to efficient and reliable geometric algorithms in the form of a C++ library. |
| [Clp](https://projects.coin-or.org/Clp) | [Clp (COIN-OR linear programming) is an open-source linear programming solver written in C++. It is primarily meant to be used as a callable library, but a basic stand-alone executable version is also available. It is a part of the COIN-OR project (https://www.coin-or.org). |
| [cuDNN](https://developer.nvidia.com/cudnn) | The NVIDIA CUDA Deep Neural Network library (cuDNN) is a GPU-accelerated library of primitives for deep neural networks. |
| [FFTW](http://www.fftw.org) | FFTW is a C subroutine library for computing the discrete Fourier transform (DFT) in one or more dimensions, of arbitrary input size, and of both real and complex data. |
| [GSL](http://www.gnu.org/software/gsl/) | The GNU Scientific Library (GSL) is a numerical library for C and C++ programmers. The library provides a wide range of mathematical routines such as random number generators, special functions and least-squares fitting. |
| [imkl](http://software.intel.com/en-us/intel-mkl/) | Intel Math Kernel Library is a library of highly optimized, extensively threaded math routines for science, engineering, and financial applications that require maximum performance. Core math functions include BLAS, LAPACK, ScaLAPACK, Sparse Solvers, Fast Fourier Transforms, Vector Math, and more. |
| [LIBLINEAR](http://www.csie.ntu.edu.tw/~cjlin/liblinear/) | LIBLINEAR is a simple package for solving large-scale regularized linear classification and regression. It supports L2-regularized logistic regression, L2-loss support vector classification L1-loss support vector classification, L1-regularized L2-loss support vector classification, L1-regularized logistic regression L2-regularized L2-loss support vector regression, L1-loss support vector regression. |
| [mkl](http://software.intel.com/en-us/intel-mkl/) | Intel Math Kernel Library is a library of highly optimized, extensively threaded math routines for science, engineering, and financial applications that require maximum performance. Core math functions include BLAS, LAPACK, ScaLAPACK, Sparse Solvers, Fast Fourier Transforms, Vector Math, and more. |
| [MPI-LIBLINEAR](https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/distributed-liblinear/mpi/) | MPI LIBLINEAR is an extension of LIBLINEAR on distributed environments. The usage and the data format are the same as LIBLINEAR. It supports L2-regularized logistic regression, L2-regularized logistic regression, L2-regularized L2-loss linear SVM (primal trust-region Newton), L2-regularized L1-loss linear SVM (dual), L2-regularized logistic regression (primal limited common directions), L2-regularized L2-loss linear SVM (primal limited common directions). Module created by the PERMON Team (http://permon.it4i.cz). |
| [NLopt](http://ab-initio.mit.edu/wiki/index.php/NLopt) | NLopt is a free/open-source library for nonlinear optimization, providing a common interface for a number of different free optimization routines available online as well as original implementations of various other algorithms. |
| [OpenBLAS](http://xianyi.github.com/OpenBLAS/) | OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version. |
| [PETSc](http://www.mcs.anl.gov/petsc) | PETSc, pronounced PET-see (the S is silent), is a suite of data structures and routines for the scalable (parallel) solution of scientific applications modeled by partial differential equations.. |
| [qrupdate](https://sourceforge.net/projects/qrupdate/) | qrupdate is a Fortran library for fast updates of QR and Cholesky decompositions. |
| [ScaLAPACK](http://www.netlib.org/scalapack/) | The ScaLAPACK (or Scalable LAPACK) library includes a subset of LAPACK routines redesigned for distributed memory MIMD parallel computers. |
| [SLEPc](http://www.grycap.upv.es/slepc/) | SLEPc (Scalable Library for Eigenvalue Problem Computations) is a software library for the solution of large scale sparse eigenvalue problems on parallel computers. It is an extension of PETSc and can be used for either standard or generalized eigenproblems, with real or complex arithmetic. It can also be used for computing a partial SVD of a large, sparse, rectangular matrix, and to solve quadratic eigenvalue problems. |
| [SuiteSparse](http://faculty.cse.tamu.edu/davis/suitesparse.html) | SuiteSparse is a collection of libraries manipulate sparse matrices. |
| [Trilinos](http://trilinos.sandia.gov/) | The Trilinos Project is an effort to develop algorithms and enabling technologies within an object-oriented software framework for the solution of large-scale, complex multi-physics engineering and scientific problems. A unique design feature of Trilinos is its focus on packages. |

## Os

| Module | Description |
| ------ | ----------- |
| [CentOS](https://www.centos.org/) | The CentOS Project is a community-driven free software effort focused on delivering a robust open source ecosystem. For users, we offer a consistent manageable platform that suits a wide variety of deployments. For open source communities, we offer a solid, predictable base to build upon, along with extensive resources to build, test, release, and maintain their code. We’re also expanding the availability of CentOS images across a number of vendors, providing official images for Amazon, Google, and more. For self-hosted cloud, we also provide a generic cloud-init enabled image. For more information about updates and improvements in CentOS 7, please check out the release notes or the release announcement in the mailing list archive. |
| [Debian](https://www.ubuntu.com/) | Ubuntu is a Debian-based Linux operating system for personal computers, tablets and smartphones, where Ubuntu Touch edition is used. It also runs network servers. That is usually with the Ubuntu Server edition, either on physical or virtual servers (such as on mainframes) or with containers, that is with enterprise-class features. It runs on the most popular architectures, including server-class ARM-based. Ubuntu is published by Canonical Ltd, who offer commercial support. It is based on free software and named after the Southern African philosophy of ubuntu (literally, 'human-ness'), which Canonical Ltd. suggests can be loosely translated as "humanity to others" or "I am what I am because of who we all are". Since Ubuntu 11.04 Natty Narwhal Ubuntu has used Unity as its default user interface for the desktop, but following the release of Ubuntu 17.10 it will move to the GNOME 3 desktop instead, as work on Unity ends. Ubuntu is the most popular operating system running in hosted environments, so–called "clouds", as it is the most popular server Linux distribution. Development of Ubuntu is led by UK-based Canonical Ltd., a company of South African entrepreneur Mark Shuttleworth. Canonical generates revenue through the sale of technical support and other services related to Ubuntu. The Ubuntu project is publicly committed to the principles of open-source software development; people are encouraged to use free software, study how it works, improve upon it, and distribute it. |
| [Singularity-wrappers](https://docs.it4i.cz/) | Wrappers for Singularity containers. |
| [Ubuntu](https://www.ubuntu.com/) | Ubuntu is a Debian-based Linux operating system for personal computers, tablets and smartphones, where Ubuntu Touch edition is used. It also runs network servers. That is usually with the Ubuntu Server edition, either on physical or virtual servers (such as on mainframes) or with containers, that is with enterprise-class features. It runs on the most popular architectures, including server-class ARM-based. Ubuntu is published by Canonical Ltd, who offer commercial support. It is based on free software and named after the Southern African philosophy of ubuntu (literally, 'human-ness'), which Canonical Ltd. suggests can be loosely translated as "humanity to others" or "I am what I am because of who we all are". Since Ubuntu 11.04 Natty Narwhal Ubuntu has used Unity as its default user interface for the desktop, but following the release of Ubuntu 17.10 it will move to the GNOME 3 desktop instead, as work on Unity ends. Ubuntu is the most popular operating system running in hosted environments, so–called "clouds", as it is the most popular server Linux distribution. Development of Ubuntu is led by UK-based Canonical Ltd., a company of South African entrepreneur Mark Shuttleworth. Canonical generates revenue through the sale of technical support and other services related to Ubuntu. The Ubuntu project is publicly committed to the principles of open-source software development; people are encouraged to use free software, study how it works, improve upon it, and distribute it. |

## Perf

| Module | Description |
| ------ | ----------- |
| [Advisor](https://software.intel.com/intel-advisor-xe) | Vectorization Optimization and Thread Prototyping - Vectorize & thread code or performance “dies” - Easy workflow + data + tips = faster code faster - Prioritize, Prototype & Predict performance gain |
| [Cube](http://www.scalasca.org/software/cube-4.x/download.html) | Cube, which is used as performance report explorer for Scalasca and Score-P, is a generic tool for displaying a multi-dimensional performance space consisting of the dimensions (i) performance metric, (ii) call path, and (iii) system resource. Each dimension can be represented as a tree, where non-leaf nodes of the tree can be collapsed or expanded to achieve the desired level of granularity. |
| [OPARI2](http://www.score-p.org) | OPARI2, the successor of Forschungszentrum Juelich's OPARI, is a source-to-source instrumentation tool for OpenMP and hybrid codes. It surrounds OpenMP directives and runtime library calls with calls to the POMP2 measurement interface. |
| [OTF2](http://www.score-p.org) | The Open Trace Format 2 is a highly scalable, memory efficient event trace data format plus support library. It is the new standard trace format for Scalasca, Vampir, and TAU and is open for other tools. |
| [PAPI](http://icl.cs.utk.edu/projects/papi/) | PAPI provides the tool designer and application engineer with a consistent interface and methodology for use of the performance counter hardware found in most major microprocessors. PAPI enables software engineers to see, in near real time, the relation between software performance and processor events. In addition Component PAPI provides access to a collection of components that expose performance measurement opportunites across the hardware and software stack. |
| [PDT](http://www.cs.uoregon.edu/research/pdt/) | Program Database Toolkit (PDT) is a framework for analyzing source code written in several programming languages and for making rich program knowledge accessible to developers of static and dynamic analysis tools. PDT implements a standard program representation, the program database (PDB), that can be accessed in a uniform way through a class library supporting common PDB operations. |
| [Scalasca](http://www.scalasca.org/) | Scalasca is a software tool that supports the performance optimization of parallel programs by measuring and analyzing their runtime behavior. The analysis identifies potential performance bottlenecks -- in particular those concerning communication and synchronization -- and offers guidance in exploring their causes. |
| [Score-P](http://www.score-p.org) | The Score-P measurement infrastructure is a highly scalable and easy-to-use tool suite for profiling, event tracing, and online analysis of HPC applications. |
| [Vampir](http://www.vampir.eu) | The Vampir software tool provides an easy-to-use framework that enables developers to quickly display and analyze arbitrary program behavior at any level of detail. The tool suite implements optimized event analysis algorithms and customizable displays that enable fast and interactive rendering of very complex performance monitoring data. |

## Phys

| Module | Description |
| ------ | ----------- |
| [ALAMODE](http://alamode.readthedocs.io/) | ALAMODE is an open source software designed for analyzing lattice anharmonicity and lattice thermal conductivity of solids. By using an external DFT package such as VASP and Quantum ESPRESSO, you can extract harmonic and anharmonic force constants straightforwardly with ALAMODE. Using the calculated anharmonic force constants, you can also estimate lattice thermal conductivity, phonon linewidth, and other anharmonic phonon properties from first principles. |
| [ALPScore](http://alps.comp-phys.org/) | The ALPS project (Algorithms and Libraries for Physics Simulations) is an open source effort aiming at providing high-end simulation codes for strongly correlated quantum mechanical systems as well as C++ libraries for simplifying the development of such code. |
| [DynaPhoPy](https://github.com/abelcarreras/DynaPhoPy) | Software to calculate crystal microscopic anharmonic properties from molecular dynamics (MD) using the normal-mode-decomposition technique. These properties include the phonon frequency shifts and linewidths, as well as the renormalized force constanst and thermal properties by using quasiparticle theory. This code includes interfaces for MD outputs from VASP and LAMMPS .PHONOPY code is used to obtain harmonic phonon modes. |
| [MotionCor2](http://msg.ucsf.edu/em/software/motioncor2.html) | This program corrects anisotropic image motion at the single pixel level across the whole frame, suitable for both single particle and tomographic images. |
| [phono3py](http://phonopy.sourceforge.net/phono3py/index.html) | This software calculates phonon-phonon interaction related properties |
| [phonopy](http://phonopy.sourceforge.net/) | Phonopy is an open source package of phonon calculations based on the supercell approach. |
| [Siesta](http://departments.icmab.es/leem/siesta) | SIESTA is both a method and its computer program implementation, to perform efficient electronic structure calculations and ab initio molecular dynamics simulations of molecules and solids. This version si compiled with OpenMP and MPI support. |
| [VASP](http://www.vasp.at) | The Vienna Ab initio Simulation Package (VASP) is a computer program for atomic scale materials modelling, e.g. electronic structure calculations and quantum-mechanical molecular dynamics, from first principles. To use VASP, You need academic licenses from University of Wiena. Follow the instructions https://www.vasp.at/index.php/faqs. Then send us please a list of authorized users and their ID for which you need this access. Please use only http://support.it4i.cz/rt. We are responsible to verify your licenses. After succesfull verification You will be granted to use VASP in our enviroment. |

## Python

| Module | Description |
| ------ | ----------- |
| [absl-py](https://pypi.python.org/pypi/absl-py) | Abseil Python Common Libraries, see https://github.com/abseil/abseil-py. |
| [ASE](https://wiki.fysik.dtu.dk/ase/) | ASE is a python package providing an open source Atomic Simulation Environment in the Python scripting language. |
| [BoltzTraP2](https://www.imc.tuwien.ac.at/index.php?id=21094) | BoltzTraP2 is a modern implementation of the smoothed Fourier interpolation algorithm for electronic bands that formed the base of the original and widely used BoltzTraP code. |
| [certifi](https://pypi.python.org/pypi/certifi) | Python package for providing Mozillas CA Bundle. |
| [click](https://pypi.python.org/pypi/click) | A simple wrapper around optparse for powerful command line utilities. |
| [dask](https://pypi.python.org/pypi/dask) | Parallel PyData with Task Scheduling. |
| [decorator](https://pypi.python.org/pypi/decorator) | Better living through Python with decorators. |
| [DynaPhoPy](https://pypi.python.org/pypi/dynaphopy) | oftware to calculate crystal microscopic anharmonic properties from molecular dynamics (MD) using the normal-mode-decomposition technique. |
| [h5py](https://github.com/jupyter/testpath) | Test utilities for code working with files and commands |
| [horovod](https://pypi.python.org/pypi/horovod) | Distributed training framework for TensorFlow. |
| [Keras](https://keras.io/) | Keras is a minimalist, highly modular neural networks library, written in Python and capable of running on top of either TensorFlow or Theano. |
| [latexcodec](https://pypi.python.org/pypi/latexcodec) | A lexer and codec to work with LaTeX code in Python. |
| [lxml](http://lxml.de/) | The lxml XML toolkit is a Pythonic binding for the C libraries libxml2 and libxslt. |
| [matplotlib](http://matplotlib.org) | Matplotlib is a python 2D plotting library which produces publication quality figures in a variety of hardcopy formats and interactive environments across platforms. matplotlib can be used in python scripts, the python and ipython shell, web application servers, and six graphical user interface toolkits. |
| [Mercurial](http://mercurial.selenic.com/) | Mercurial is a free, distributed source control management tool. It efficiently handles projects of any size and offers an easy and intuitive interface. |
| [monty](https://pypi.python.org/pypi/monty) | Monty is the missing complement to Python. |
| [mpi4py](http://mpi4py.scipy.org/docs) | MPI for Python (mpi4py) provides bindings of the Message Passing Interface (MPI) standard for the Python programming language, allowing any Python program to exploit multiple processors. |
| [mpmath](https://pypi.python.org/pypi/mpmath) | Python library for arbitrary-precision floating-point arithmetic. |
| [networkx](https://pypi.python.org/pypi/networkx) | NetworkX is a Python package for the creation, manipulation, and study of the structure, dynamics, and functions of complex networks. |
| [numpy](http://www.numpy.org) | NumPy is the fundamental package needed for scientific computing with Python. |
| [packaging](https://pypi.python.org/pypi/packaging) | Core utilities for Python packages. |
| [palettable](https://pypi.python.org/pypi/palettable) | Color palettes for Python. |
| [pandas](https://pypi.python.org/pypi/pandas) | Powerful data structures for data analysis, time series,and statistics. |
| [phonopy](https://atztogo.github.io/phonopy) | Phonopy is an open source package of phonon calculations based on the supercell approach. |
| [Pillow](http://pillow.readthedocs.org/) | Pillow is the 'friendly PIL fork' by Alex Clark and Contributors. PIL is the Python Imaging Library by Fredrik Lundh and Contributors. |
| [pybtex](https://pypi.python.org/pypi/pybtex) | A BibTeX-compatible bibliography processor in Python. |
| [PyDispatcher](https://pypi.python.org/pypi/PyDispatcher) | Multi-producer-multi-consumer signal dispatching mechanism. |
| [pyFFTW](https://pypi.python.org/pypi/pyFFTW) | A pythonic wrapper around FFTW, the FFT library, presenting a unified interface for all the supported transforms. |
| [pymatgen](https://pypi.python.org/pypi/pymatgen) | Python Materials Genomics is a robust materials analysis code that defines core object representations for structures and molecules with support for many electronic structure codes. It is currently the core analysis code powering the Materials Project (https://www.materialsproject.org). |
| [pyparsing](http://pyparsing.wikispaces.com) | The pyparsing module provides a library of classes that client code uses to construct the grammar directly in Python code. |
| [PyQt5](http://www.riverbankcomputing.co.uk/software/pyqt) | PyQt5 is a set of Python bindings for v5 of the Qt application framework from The Qt Company. |
| [python-dateutil](https://github.com/dateutil/dateutil) | Useful extensions to the standard Python datetime features. |
| [pytz](http://pytz.sourceforge.net/) | pytz brings the Olson tz database into Python. This library allows accurate and cross platform timezone calculations using Python 2.4 or higher. |
| [PyWavelets](https://pypi.python.org/pypi/PyWavelets) | PyWavelets, wavelet transform module. |
| [PyYAML](https://pypi.python.org/pypi/PyYAML/) | PyYAML is a YAML parser and emitter for the Python programming language. |
| [requests](https://pypi.python.org/pypi/requests) | Python HTTP for Humans. |
| [ruamel.yaml](https://pypi.python.org/pypi/ruamel.yaml) | ruamel.yaml is a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order |
| [scikit-image](http://scikit-learn.org/stable/index.html) | Scikit-learn integrates machine learning algorithms in the tightly-knit scientific Python world, building upon numpy, scipy, and matplotlib. As a machine-learning module, it provides versatile tools for data mining and analysis in any field of science and engineering. It strives to be simple and efficient, accessible to everybody, and reusable in various contexts. |
| [scikit-learn](http://scikit-learn.org/stable/index.html) | Scikit-learn integrates machine learning algorithms in the tightly-knit scientific Python world, building upon numpy, scipy, and matplotlib. As a machine-learning module, it provides versatile tools for data mining and analysis in any field of science and engineering. It strives to be simple and efficient, accessible to everybody, and reusable in various contexts. |
| [scipy](http://scipy.org) | SciPy (pronounced 'Sigh Pie') is open-source software for mathematics, science, and engineering. It includes modules for statistics, optimization, integration, linear algebra, Fourier transforms, signal and image processing, ODE solvers, and more. |
| [SCons](https://github.com/benjaminp/six) | Python 2 and 3 compatibility library. |
| [seaborn](https://pypi.python.org/pypi/seaborn) | Seaborn: statistical data visualization |
| [SIP](http://www.riverbankcomputing.com/software/sip/) | SIP is a tool that makes it very easy to create Python bindings for C and C++ libraries. |
| [six](https://github.com/benjaminp/six) | Python 2 and 3 compatibility library. |
| [spglib-python](https://pypi.python.org/pypi/spglib) | Spglib for Python. Spglib is a library for finding and handling crystal symmetries written in C. |
| [sympy](https://pypi.python.org/pypi/sympy) | Computer algebra system (CAS) in Python |
| [tabulate](https://pypi.python.org/pypi/tabulate) | Pretty-print tabular data. |
| [toolz](https://pypi.python.org/pypi/toolz) | List processing tools and functional utilities. |
| [urllib3](https://pypi.python.org/pypi/urllib3) | HTTP library with thread-safe connection pooling, file post, and more. |

## System

| Module | Description |
| ------ | ----------- |
| [CUDA](https://developer.nvidia.com/cuda-toolkit) | CUDA (formerly Compute Unified Device Architecture) is a parallel computing platform and programming model created by NVIDIA and implemented by the graphics processing units (GPUs) that they produce. CUDA gives developers access to the virtual instruction set and memory of the parallel computational elements in CUDA GPUs. |
| [hwloc](http://www.open-mpi.org/projects/hwloc/) | The Portable Hardware Locality (hwloc) software package provides a portable abstraction (across OS, versions, architectures, ...) of the hierarchical topology of modern architectures, including NUMA memory nodes, sockets, shared caches, cores and simultaneous multithreading. It also gathers various system attributes such as cache and memory information as well as the locality of I/O devices such as network interfaces, InfiniBand HCAs or GPUs. It primarily aims at helping applications with gathering information about modern computing hardware so as to exploit it accordingly and efficiently. |
| [libpciaccess](http://cgit.freedesktop.org/xorg/lib/libpciaccess/) | Generic PCI access library. |
| [OpenSSL](http://www.openssl.org/) | The OpenSSL Project is a collaborative effort to develop a robust, commercial-grade, full-featured, and Open Source toolchain implementing the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1) protocols as well as a full-strength general purpose cryptography library. |

## Toolchain

| Module | Description |
| ------ | ----------- |
| foss | GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support, OpenBLAS (BLAS and LAPACK support), FFTW and ScaLAPACK. |
| gimkl | GNU Compiler Collection (GCC) based compiler toolchain, next to Intel MPI and Intel MKL (BLAS, (Sca)LAPACK, FFTW). |
| gimpi | GNU Compiler Collection (GCC) based compiler toolchain, next to Intel MPI. |
| [GNU](http://www.gnu.org/software/) | Compiler-only toolchain with GCC and binutils. |
| gompi | GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support. |
| [iccifort](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Intel C, C++ and Fortran compilers |
| [iimpi](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Intel C/C++ and Fortran compilers, alongside Intel MPI. |
| [intel](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Compiler toolchain including Intel compilers, Intel MPI and Intel Math Kernel Library (MKL). |
| [iomkl](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Intel Cluster Toolchain Compiler Edition provides Intel C/C++ and Fortran compilers, Intel MKL & OpenMPI. |
| [iompi](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Intel C/C++ and Fortran compilers, alongside Open MPI. |
| [Py](https://www.python.org) | Python 3.6 toolchain |

## Tools

| Module | Description |
| ------ | ----------- |
| [ANSYS](http://www.ansys.com) | ANSYS simulation software enables organizations to confidently predict how their products will operate in the real world. We believe that every product is a promise of something greater. |
| [APR](http://apr.apache.org/) | Apache Portable Runtime (APR) libraries. |
| [APR-util](http://apr.apache.org/) | Apache Portable Runtime (APR) util libraries. |
| [Bash](http://www.gnu.org/software/bash) | Bash is an sh-compatible command language interpreter that executes commands read from the standard input or from a file. Bash also incorporates useful features from the Korn and C shells (ksh and csh). |
| [BeoPEST](http://www.prinmath.com/pest/) | BeoPEST is a special version of John Doherty's PEST adapted for Beowulf clusters. BeoPEST is identical in operation to Parallel PEST, except that it instead of a master and slaves that communicate through the file system, BeoPEST uses a master and smart slaves that communicate via TCP/IP or MPI. BeoPEST also uses smart slaves which offloads much of the effort to the slaves which is important for BeoPEST to scale to hundreds or thousands of slaves. More detail is provided in the BeoPEST Documentation. |
| [binutils](http://directory.fsf.org/project/binutils/) | binutils: GNU binary utilities |
| [bzip2](http://www.bzip.org/) | bzip2 is a freely available, patent free, high-quality data compressor. It typically compresses files to within 10% to 15% of the best available techniques (the PPM family of statistical compressors), whilst being around twice as fast at compression and six times faster at decompression. |
| [cURL](http://curl.haxx.se) | libcurl is a free and easy-to-use client-side URL transfer library, supporting DICT, FILE, FTP, FTPS, Gopher, HTTP, HTTPS, IMAP, IMAPS, LDAP, LDAPS, POP3, POP3S, RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, Telnet and TFTP. libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP form based upload, proxies, cookies, user+password authentication (Basic, Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling and more. |
| [DMTCP](http://dmtcp.sourceforge.net/index.html) | DMTCP (Distributed MultiThreaded Checkpointing) transparently checkpoints a single-host or distributed computation in user-space -- with no modifications to user code or to the O/S. |
| [EasyBuild](https://easybuilders.github.io/easybuild) | EasyBuild is a software build and installation framework written in Python that allows you to install software in a structured, repeatable and robust way. |
| [elmer](http://www.csc.fi/english/pages/elmer/) | Elmer - Open Source Finite Element Software for Multiphysical Problems. |
| [expat](http://expat.sourceforge.net/) | Expat is an XML parser library written in C. It is a stream-oriented parser in which an application registers handlers for things the parser might find in the XML document (like start tags) |
| [gettext](http://www.gnu.org/software/gettext/) | GNU 'gettext' is an important step for the GNU Translation Project, as it is an asset on which we may build many other steps. This package offers to programmers, translators, and even users, a well integrated set of tools and documentation |
| [Ghostscript](http://ghostscript.com) | Ghostscript is a versatile processor for PostScript data with the ability to render PostScript to different targets. It used to be part of the cups printing stack, but is no longer used for that. |
| [git](http://git-scm.com/) | Git is a free and open source distributed version control system designed to handle everything from small to very large projects with speed and efficiency. |
| [GLPK](https://www.gnu.org/software/glpk/) | The GLPK (GNU Linear Programming Kit) package is intended for solving large-scale linear programming (LP), mixed integer programming (MIP), and other related problems. It is a set of routines written in ANSI C and organized in the form of a callable library. |
| [gperftools](http://github.com/gperftools/gperftools) | gperftools are for use by developers so that they can create more robust applications. Especially of use to those developing multi-threaded applications in C++ with templates. Includes TCMalloc, heap-checker, heap-profiler and cpu-profiler. |
| grace | Grace 5.1.23 is a WYSIWYG 2D plotting tool for the X Window System and M*tif.. |
| [Graph500](http://graph500.org/) | Reference code of the Graph500 benchmark. |
| [gzip](http://www.gnu.org/software/gzip/) | gzip (GNU zip) is a popular data compression program as a replacement for compress |
| [help2man](https://www.gnu.org/software/help2man/) | help2man produces simple manual pages from the '--help' and '--version' output of other commands. |
| inspector_xe | Old module, description not available. |
| intelpcm | Old module, description not available. |
| ipm | Old module, description not available. |
| itac | Old module, description not available. |
| [JOE](http://joe-editor.sourceforge.net) | JOE is a full featured terminal-based screen editor which is distributed under the GNU General Public License (GPL) |
| likwid | Old module, description not available. |
| [Lmod](http://sourceforge.net/projects/lmod/) | Lmod is a Lua based module system. Modules allow for dynamic modification of a user's environment under Unix systems. See www.tacc.utexas.edu/tacc-projects/lmod for a complete description. Lmod is a new implementation that easily handles the MODULEPATH Hierarchical problem. It is drop-in replacement for TCL/C modules and reads TCL modulefiles directly. |
| memoryscape | Old module, description not available. |
| [Mercurial](http://mercurial.selenic.com/) | Mercurial is a free, distributed source control management tool. It efficiently handles projects of any size and offers an easy and intuitive interface. |
| mercurial | Old module, description not available. |
| MIKE | Old module, description not available. |
| mono | Old module, description not available. |
| [moreutils](https://joeyh.name/code/moreutils/) | Moreutils is a growing collection of the unix tools that nobody thought to write long ago when unix was young. |
| mpi.net | Old module, description not available. |
| [nano](http://www.nano-editor.org/) | Small and friendly text editor |
| [networkx](https://pypi.python.org/pypi/networkx) | NetworkX is a Python package for the creation, manipulation, and study of the structure, dynamics, and functions of complex networks. |
| [numactl](http://oss.sgi.com/projects/libnuma/) | The numactl program allows you to run your application program on specific cpu's and memory nodes. It does this by supplying a NUMA memory policy to the operating system before running your program. The libnuma library provides convenient ways for you to add NUMA memory policies into your own program. |
| opari2 | Old module, description not available. |
| openssh-x509 | Old module, description not available. |
| oscar-modules | Old module, description not available. |
| otf2 | Old module, description not available. |
| papi | Old module, description not available. |
| parallel | Old module, description not available. |
| [PatchELF](https://nixos.org/patchelf.html) | PatchELF is a small utility to modify the dynamic linker and RPATH of ELF executables. |
| [pigz](http://zlib.net/pigz/) | pigz, which stands for parallel implementation of gzip, is a fully functional replacement for gzip that exploits multiple processors and multiple cores to the hilt when compressing data. pigz was written by Mark Adler, and uses the zlib and pthread libraries. |
| R | Old module, description not available. |
| racket | Old module, description not available. |
| relion | Old module, description not available. |
| [RStudio](https://www.rstudio.com) | RStudio is a set of integrated tools designed to help you be more productive with R. It includes a console, syntax-highlighting editor that supports direct code execution, as well as tools for plotting, history, debugging and workspace management. |
| ruby | Old module, description not available. |
| scite | Old module, description not available. |
| [Serf](http://serf.apache.org/) | The serf library is a high performance C-based HTTP client library built upon the Apache Portable Runtime (APR) library |
| [Singularity](http://gmkurtzer.github.io/singularity) | Singularity is a container platform focused on supporting "Mobility of Compute" |
| [Subversion](http://subversion.apache.org/) | Subversion is an open source version control system. |
| Szip | Old module, description not available. |
| tcl | Old module, description not available. |
| [tcsh](http://www.tcsh.org) | Tcsh is an enhanced, but completely compatible version of the Berkeley UNIX C shell (csh). It is a command language interpreter usable both as an interactive login shell and a shell script command processor. It includes a command-line editor, programmable word completion, spelling correction, a history mechanism, job control and a C-like syntax. |
| tk | Old module, description not available. |
| tmux | Old module, description not available. |
| totalview | Old module, description not available. |
| turbovnc | Old module, description not available. |
| [util-linux](http://www.kernel.org/pub/linux/utils/util-linux) | Set of Linux utilities |
| valgrind | Old module, description not available. |
| vampir | Old module, description not available. |
| virtualgl | Old module, description not available. |
| [VTune](http://software.intel.com/en-us/intel-vtune-amplifier-xe) | Intel VTune Amplifier XE 2016 is the premier performance profiler for C, C++, C#, Fortran, Assembly and Java. |
| [XZ](http://tukaani.org/xz/) | xz: XZ utilities |

## Virtualization

| Module | Description |
| ------ | ----------- |
| qemu | Old module, description not available. |
| vde2 | Old module, description not available. |
| wine | Old module, description not available. |

## Vis

| Module | Description |
| ------ | ----------- |
| [ATK](https://developer.gnome.org/ATK/stable/) | ATK provides the set of accessibility interfaces that are implemented by other toolkits and applications. Using the ATK interfaces, accessibility tools have full access to view and control running applications. |
| [cairo](http://cairographics.org) | Cairo is a 2D graphics library with support for multiple output devices. Currently supported output targets include the X Window System (via both Xlib and XCB), Quartz, Win32, image buffers, PostScript, PDF, and SVG file output. Experimental backends include OpenGL, BeOS, OS/2, and DirectFB |
| [ffmpeg](https://www.ffmpeg.org/) | A complete, cross-platform solution to record, convert and stream audio and video. |
| [FFmpeg](https://www.ffmpeg.org/) | A complete, cross-platform solution to record, convert and stream audio and video. |
| [fixesproto](http://www.freedesktop.org/wiki/Software/xlibs) | X.org FixesProto protocol headers. |
| [FLTK](http://www.fltk.org) | FLTK is a cross-platform C++ GUI toolkit for UNIX/Linux (X11), Microsoft Windows, and MacOS X. FLTK provides modern GUI functionality without the bloat and supports 3D graphics via OpenGL and its built-in GLUT emulation. |
| [fontconfig](http://www.freedesktop.org/software/fontconfig) | Fontconfig is a library designed to provide system-wide font configuration, customization and application access. |
| [freetype](http://freetype.org) | FreeType 2 is a software font engine that is designed to be small, efficient, highly customizable, and portable while capable of producing high-quality output (glyph images). It can be used in graphics libraries, display servers, font conversion tools, text image generation tools, and many other products as well. |
| [Gdk-Pixbuf](https://developer.gnome.org/gdk-pixbuf/stable/) | The Gdk Pixbuf is a toolkit for image loading and pixel buffer manipulation. It is used by GTK+ 2 and GTK+ 3 to load and manipulate images. In the past it was distributed as part of GTK+ 2 but it was split off into a separate package in preparation for the change to GTK+ 3. |
| [gettext](http://www.gnu.org/software/gettext/) | GNU 'gettext' is an important step for the GNU Translation Project, as it is an asset on which we may build many other steps. This package offers to programmers, translators, and even users, a well integrated set of tools and documentation |
| [GL2PS](http://www.geuz.org/gl2ps/) | GL2PS: an OpenGL to PostScript printing library |
| [GLib](http://www.gtk.org/) | GLib is one of the base libraries of the GTK+ project |
| gnuplot | Old module, description not available. |
| [grace](http://freecode.com/projects/grace) | Grace is a WYSIWYG 2D plotting tool for X Windows System and Motif. |
| [GraphicsMagick](http://www.graphicsmagick.org/) | GraphicsMagick is the swiss army knife of image processing. |
| [GST-plugins-base](http://gstreamer.freedesktop.org/) | GStreamer is a library for constructing graphs of media-handling components. The applications it supports range from simple Ogg/Vorbis playback, audio/video streaming to complex audio (mixing) and video (non-linear editing) processing. |
| [GStreamer](http://gstreamer.freedesktop.org/) | GStreamer is a library for constructing graphs of media-handling components. The applications it supports range from simple Ogg/Vorbis playback, audio/video streaming to complex audio (mixing) and video (non-linear editing) processing. |
| [GTK+](https://developer.gnome.org/gtk+/stable/) | The GTK+ 2 package contains libraries used for creating graphical user interfaces for applications. |
| [HarfBuzz](http://www.freedesktop.org/wiki/Software/HarfBuzz) | HarfBuzz is an OpenType text shaping engine. |
| [inputproto](http://www.freedesktop.org/wiki/Software/xlibs) | X.org InputProto protocol headers. |
| [JasPer](http://www.ece.uvic.ca/~frodo/jasper/) | The JasPer Project is an open-source initiative to provide a free software-based reference implementation of the codec specified in the JPEG-2000 Part-1 standard. |
| [kbproto](http://www.freedesktop.org/wiki/Software/xlibs) | X.org KBProto protocol headers. |
| libGLU | Old module, description not available. |
| [libICE](http://www.freedesktop.org/wiki/Software/xlibs) | X Inter-Client Exchange library for freedesktop.org |
| [libX11](http://www.freedesktop.org/wiki/Software/xlibs) | X11 client-side library |
| [libXau](http://www.freedesktop.org/wiki/Software/xlibs) | The libXau package contains a library implementing the X11 Authorization Protocol. This is useful for restricting client access to the display. |
| [libXdmcp](http://www.freedesktop.org/wiki/Software/xlibs) | The libXdmcp package contains a library implementing the X Display Manager Control Protocol. This is useful for allowing clients to interact with the X Display Manager. |
| [libXext](http://www.freedesktop.org/wiki/Software/xlibs) | Common X Extensions library |
| [libXfixes](http://www.freedesktop.org/wiki/Software/xlibs) | X Fixes extension library |
| [libXfont](http://www.freedesktop.org/wiki/Software/xlibs) | X font libary |
| libXinerama | Old module, description not available. |
| [libXrender](http://www.freedesktop.org/wiki/Software/xlibs) | X11 client-side library |
| [libXt](http://www.freedesktop.org/wiki/Software/xlibs) | libXt provides the X Toolkit Intrinsics, an abstract widget library upon which other toolkits are based. Xt is the basis for many toolkits, including the Athena widgets (Xaw), and LessTif (a Motif implementation). |
| [matplotlib](http://matplotlib.org) | matplotlib is a python 2D plotting library which produces publication quality figures in a variety of hardcopy formats and interactive environments across platforms. matplotlib can be used in python scripts, the python and ipython shell, web application servers, and six graphical user interface toolkits. |
| Mesa | Old module, description not available. |
| [motif](http://motif.ics.com/) | Motif refers to both a graphical user interface (GUI) specification and the widget toolkit for building applications that follow that specification under the X Window System on Unix and other POSIX-compliant systems. It was the standard toolkit for the Common Desktop Environment and thus for Unix. |
| [OpenCV](http://opencv.org/) | OpenCV (Open Source Computer Vision Library) is an open source computer vision and machine learning software library. OpenCV was built to provide a common infrastructure for computer vision applications and to accelerate the use of machine perception in the commercial products. |
| [opencv-python](http://deeplearning.net/software/theano) | Theano is a Python library that allows you to define, optimize, and evaluate mathematical expressions involving multi-dimensional arrays efficiently. |
| [OSPRay](http://www.ospray.org) | A Ray Tracing Based Rendering Engine for High-Fidelity Visualization |
| [Pango](http://www.pango.org/) | Pango is a library for laying out and rendering of text, with an emphasis on internationalization. Pango can be used anywhere that text layout is needed, though most of the work on Pango so far has been done in the context of the GTK+ widget toolkit. Pango forms the core of text and font handling for GTK+-2.x. |
| [ParaView](http://www.paraview.org) | ParaView is a scientific parallel visualizer. |
| [Pillow](http://pillow.readthedocs.org/) | Pillow is the 'friendly PIL fork' by Alex Clark and Contributors. PIL is the Python Imaging Library by Fredrik Lundh and Contributors. |
| [pixman](http://www.pixman.org/) | Pixman is a low-level software library for pixel manipulation, providing features such as image compositing and trapezoid rasterization. Important users of pixman are the cairo graphics library and the X server. |
| [PyQt](http://www.riverbankcomputing.co.uk/software/pyqt) | PyQt is a set of Python v2 and v3 bindings for Digia's Qt application framework. |
| [scikit-image](http://scikit-learn.org/stable/index.html) | Scikit-learn integrates machine learning algorithms in the tightly-knit scientific Python world, building upon numpy, scipy, and matplotlib. As a machine-learning module, it provides versatile tools for data mining and analysis in any field of science and engineering. It strives to be simple and efficient, accessible to everybody, and reusable in various contexts. |
| [seekpath](https://github.com/giovannipizzi/seekpath) | SeeK-path is a python module to obtain and visualize band paths in the Brillouin zone of crystal structures. The definition of k-point labels follows crystallographic convention, as defined and discussed in the HPKOT paper. Moreover, the Bravais lattice is detected properly using the spacegroup symmetry. Also the suggested band path provided in the HPKOT paper is returned. Systems without time-reversal and inversion-symmetry are also properly taken into account. |
| [Tk](http://www.tcl.tk/) | Tk is an open source, cross-platform widget toolchain that provides a library of basic elements for building a graphical user interface (GUI) in many different programming languages. |
| [VTK](http://www.vtk.org) | The Visualization Toolkit (VTK) is an open-source, freely available software system for 3D computer graphics, image processing and visualization. VTK consists of a C++ class library and several interpreted interface layers including Tcl/Tk, Java, and Python. VTK supports a wide variety of visualization algorithms including: scalar, vector, tensor, texture, and volumetric methods; and advanced modeling techniques such as: implicit modeling, polygon reduction, mesh smoothing, cutting, contouring, and Delaunay triangulation. |
| [X11](https://www.x.org) | The X Window System (X11) is a windowing system for bitmap displays |
| [x264](http://www.videolan.org/developers/x264.html) | x264 is a free software library and application for encoding video streams into the H.264/MPEG-4 AVC compression format, and is released under the terms of the GNU GPL. |
