
## Bio

| Module | Description |
| ------ | ----------- |
| [ABySS](http://www.bcgsc.ca/platform/bioinfo/software/abyss) | Assembly By Short Sequences - a de novo, parallel, paired-end sequence assembler |
| [almost](http://www-almost.ch.cam.ac.uk/site) | all atom molecular simulation toolkit - is a fast and flexible molecular modeling environment that provides powerful and efficient algorithms for molecular simulation, homology modeling, de novo design and ab-initio calculations. |
| [BCFtools](http://www.htslib.org/) | Samtools is a suite of programs for interacting with high-throughput sequencing data. BCFtools - Reading/writing BCF2/VCF/gVCF files and calling/filtering/summarising SNP and short indel sequence variants |
| [bcl2fastq2](https://support.illumina.com/sequencing/sequencing_software/bcl2fastq-conversion-software.html) | bcl2fastq Conversion Software both demultiplexes data and converts BCL files generated by Illumina sequencing systems to standard FASTQ file formats for downstream analysis. |
| [BWA](http://bio-bwa.sourceforge.net/) | Burrows-Wheeler Aligner (BWA) is an efficient program that aligns relatively short nucleotide sequences against a long reference sequence such as the human genome. |
| [FastQC](http://www.bioinformatics.babraham.ac.uk/projects/fastqc/) | FastQC is a quality control application for high throughput sequence data. It reads in sequence data in a variety of formats and can either provide an interactive application to review the results of several different QC checks, or create an HTML based report which can be integrated into a pipeline. |
| [GATK](http://www.broadinstitute.org/gatk/) | The Genome Analysis Toolkit or GATK is a software package developed at the Broad Institute to analyse next-generation resequencing data. The toolkit offers a wide variety of tools, with a primary focus on variant discovery and genotyping as well as strong emphasis on data quality assurance. Its robust architecture, powerful processing engine and high-performance computing features make it capable of taking on projects of any size. |
| [GROMACS](http://www.gromacs.org) | GROMACS is a versatile package to perform molecular dynamics, i.e. simulate the Newtonian equations of motion for systems with hundreds to millions of particles. |
| [HTSlib](http://www.htslib.org/) | A C library for reading/writing high-throughput sequencing data. This package includes the utilities bgzip and tabix |
| [picard](http://sourceforge.net/projects/picard) | A set of tools (in Java) for working with next generation sequencing data in the BAM format. |
| [PLUMED](http://www.plumed-code.org) | PLUMED is an open source library for free energy calculations in molecular systems which works together with some of the most popular molecular dynamics engines. Free energy calculations can be performed as a function of many order parameters with a particular focus on biological problems, using state of the art methods such as metadynamics, umbrella sampling and Jarzynski-equation based steered MD. The software, written in C++, can be easily interfaced with both fortran and C/C++ codes. |
| [RELION](http://www2.mrc-lmb.cam.ac.uk/relion/index.php/Main_Page) | RELION (for REgularised LIkelihood OptimisatioN, pronounce rely-on) is a stand-alone computer program that employs an empirical Bayesian approach to refinement of (multiple) 3D reconstructions or 2D class averages in electron cryo-microscopy (cryo-EM). |
| [Rosetta](https://www.rosettacommons.org) | Rosetta is the premier software suite for modeling macromolecular structures. As a flexible, multi-purpose application, it includes tools for structure prediction, design, and remodeling of proteins and nucleic acids. |
| [SAMtools](http://www.htslib.org/) | SAM Tools provide various utilities for manipulating alignments in the SAM format, including sorting, merging, indexing and generating alignments in a per-position format. |
| [SnpEff](http://snpeff.sourceforge.net/) | Genetic variant annotation and effect prediction toolbox. |
| [Trimmomatic](http://www.usadellab.org/cms/?page=trimmomatic) | Trimmomatic performs a variety of useful trimming tasks for illumina paired-end and single ended data.The selection of trimming steps and their associated parameters are supplied on the command line. |

## Cae

| Module | Description |
| ------ | ----------- |
| [COMSOL](https://www.comsol.com/) | The COMSOL Multiphysics simulation environment facilitates the steps in the modeling process – defining your geometry, meshing, specifying your physics, solving, and then visualizing your results. It also serves as a platform for the application specific modules. |
| [deMonNano](http://www.demon-software.com) | deMonNano is a software package for density functional theory based tight binding calculations. It is part of the deMon (density of Montréal) suite of programs. The present version of the code of deMon for DFT is now known as deMon2k. This code and general information about deMon are available at http://www.demon-software.com |
| [Digimat](http://www.mscsoftware.com/product/digimat) | The Nonlinear Multi-scale Material and Structure Modeling Platform - Todays' major challenge is the shift from metal to composite in order to bring significant weight saving in the design. This paradigm however requires a dedicated tool for composite design in order to take into account the specific composite behavior. Classical design tools are not able to describe accurately the local composite material behavior, leading to introduction of safety factors and lack of confidence in the design. |
| [FreeFem++](http://www.freefem.org) | FreeFem++ is a partial differential equation solver. It has its own language. freefem scripts can solve multiphysics non linear systems in 2D and 3D. Problems involving PDE (2d, 3d) from several branches of physics such as fluid-structure interactions require interpolations of data on several meshes and their manipulation within one program. FreeFem++ includes a fast 2^d-tree-based interpolation algorithm and a language for the manipulation of data on multiple meshes (as a follow up of bamg (now a part of FreeFem++ ). FreeFem++ is written in C++ and the FreeFem++ language is a C++ idiom. It runs on Macs, Windows, Unix machines. FreeFem++ replaces the older freefem and freefem+. |
| [HyperWorks](https://altairhyperworks.com/) | Altair HyperMesh is a high-performance finite element pre-processor to prepare even the largest models, starting from import of CAD geometry to exporting an analysis run for various disciplines. This module is licensed for specified users only. For more informations please contact Pavel Marsalek mailto:pavel.marsalek@vsb.cz. |
| [Marc](http://www.mscsoftware.com/product/marc) | Advanced Nonlinear Simulation Solution. Simulate products more accurately with the industry’s leading nonlinear FEA solver technology. |
| [OpenFOAM](http://www.openfoam.com/) | OpenFOAM is a free, open source CFD software package. OpenFOAM has an extensive range of features to solve anything from complex fluid flows involving chemical reactions, turbulence and heat transfer, to solid dynamics and electromagnetics. |

## Chem

| Module | Description |
| ------ | ----------- |
| [ABINIT](http://www.abinit.org/) | Abinit is a plane wave pseudopotential code for doing condensed phase electronic structure calculations using DFT. |
| [Amber](http://ambermd.org) | A set of molecular mechanical force fields for the simulation of biomolecules |
| [ASE](https://wiki.fysik.dtu.dk/ase/) | ASE is a python package providing an open source Atomic Simulation Environment in the Python scripting language. |
| [ChronusQ](https://github.com/liresearchgroup/chronusq_public) | ChronusQ is a high-performance computational chemistry software package with a strong emphasis on explicitly time-dependent and post-SCF quantum mechanical methods. |
| [CP2K](http://www.cp2k.org/) | CP2K is a freely available (GPL) program, written in Fortran 95, to perform atomistic and molecular simulations of solid state, liquid, molecular and biological systems. It provides a general framework for different methods such as e.g. density functional theory (DFT) using a mixed Gaussian and plane waves approach (GPW), and classical pair and many-body potentials. |
| [LAMMPS](http://lammps.sandia.gov) | LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale Atomic/Molecular Massively Parallel Simulator. Has potentials for solid-state materials (metals, semiconductors) and soft matter (biomolecules, polymers) and coarse-grained or mesoscopic systems. It can be used to model atoms or, more generically, as a parallel particle simulator at the atomic, meso, or continuum scale. |
| [libctl](http://ab-initio.mit.edu/libctl) | libctl is a free Guile-based library implementing flexible control files for scientific simulations. |
| [Libint](https://sourceforge.net/p/libint/) | Libint library is used to evaluate the traditional (electron repulsion) and certain novel two-body matrix elements (integrals) over Cartesian Gaussian functions used in modern atomic and molecular theory. |
| [libxc](http://www.tddft.org/programs/octopus/wiki/index.php/Libxc) | Libxc is a library of exchange-correlation functionals for density-functional theory. The aim is to provide a portable, well tested and reliable set of exchange and correlation functionals. |
| [Molden](http://www.cmbi.ru.nl/molden/) | Molden is a package for displaying Molecular Density from the Ab Initio packages GAMESS-UK, GAMESS-US and GAUSSIAN and the Semi-Empirical packages Mopac/Ampac |
| [Molpro](http://www.molpro.net) | Molpro quantum chemistry package |
| [NAMD](http://www.ks.uiuc.edu/Research/namd/) | NAMD is a parallel molecular dynamics code designed for high-performance simulation of large biomolecular systems. |
| [NWChem](http://www.nwchem-sw.org) | NWChem aims to provide its users with computational chemistry tools that are scalable both in their ability to treat large scientific computational chemistry problems efficiently, and in their use of available parallel computing resources from high-performance parallel supercomputers to conventional workstation clusters. NWChem software can handle: biomolecules, nanostructures, and solid-state; from quantum to classical, and all combinations; Gaussian basis functions or plane-waves; scaling from one to thousands of processors; properties and relativity. |
| [Octopus](http://www.tddft.org/programs/octopus/wiki/index.php/Main_Page) | Octopus is a scientific program aimed at the ab initio virtual experimentation on a hopefully ever-increasing range of system types. Electrons are described quantum-mechanically within density-functional theory (DFT), in its time-dependent form (TDDFT) when doing simulations in time. Nuclei are described classically as point particles. Electron-nucleus interaction is described within the pseudopotential approximation. |
| [OpenBabel](http://openbabel.org) | Open Babel is a chemical toolbox designed to speak the many languages of chemical data. It's an open, collaborative project allowing anyone to search, convert, analyze, or store data from molecular modeling, chemistry, solid-state materials, biochemistry, or related areas. |
| [ORCA](http://cec.mpg.de/forum/) | ORCA is a flexible, efficient and easy-to-use general purpose tool for quantum chemistry with specific emphasis on spectroscopic properties of open-shell molecules. It features a wide variety of standard quantum chemical methods ranging from semiempirical methods to DFT to single- and multireference correlated ab initio methods. It can also treat environmental and relativistic effects. |
| [PLUMED](http://www.plumed-code.org) | PLUMED is an open source library for free energy calculations in molecular systems which works together with some of the most popular molecular dynamics engines. Free energy calculations can be performed as a function of many order parameters with a particular focus on biological problems, using state of the art methods such as metadynamics, umbrella sampling and Jarzynski-equation based steered MD. The software, written in C++, can be easily interfaced with both fortran and C/C++ codes. |
| [pWord2Vec](https://github.com/IntelLabs/pWord2Vec) | This tool provides an efficient implementation of the continuous bag-of-words and skip-gram architectures for computing vector representations of words. These representations can be subsequently used in many natural language processing applications and for further research. |
| [QuantumESPRESSO](http://www.pwscf.org/) | Quantum ESPRESSO is an integrated suite of computer codes for electronic-structure calculations and materials modeling at the nanoscale. It is based on density-functional theory, plane waves, and pseudopotentials (both norm-conserving and ultrasoft). |
| [S4MPLE](http://infochim.u-strasbg.fr/spip.php?rubrique152) | S4MPLE (Sampler For Multiple Protein-Ligand Entities) is a flexible molecular modeling tool, supporting empirical force field-driven conformational sampling and geometry optimization heuristics using a hybrid genetic algorithm (GA). |
| [Scipion](https://github.com/I2PC/scipion/wiki) | Scipion is an image processing framework for obtaining 3D models of macromolecular complexes using Electron Microscopy (3DEM). It integrates several software packages and presents a unified interface for both biologists and developers. Scipion allows you to execute workflows combining different software tools, while taking care of formats and conversions. Additionally, all steps are tracked and can be reproduced later on. |
| [xdrfile](http://www.gromacs.org/Developer_Zone/Programming_Guide/XTC_Library) | XTC library |

## Compiler

| Module | Description |
| ------ | ----------- |
| [BerkeleyUPC](http://upc.lbl.gov) | The goal of the Berkeley UPC compiler group is to develop a portable, high performance implementation of UPC for large-scale multiprocessors, PC clusters, and clusters of shared memory multiprocessors. |
| [Clang](http://clang.llvm.org/) | C, C++, Objective-C compiler, based on LLVM. Does not include C++ standard library -- use libstdc++ from GCC. |
| [GCC](http://gcc.gnu.org/) | The GNU Compiler Collection includes front ends for C, C++, Objective-C, Fortran, Java, and Ada, as well as libraries for these languages (libstdc++, libgcj,...). |
| [GCCcore](http://gcc.gnu.org/) | The GNU Compiler Collection includes front ends for C, C++, Objective-C, Fortran, Java, and Ada, as well as libraries for these languages (libstdc++, libgcj,...). |
| [Go](http://www.golang.org) | Go is an open source programming language that makes it easy to build simple, reliable, and efficient software. |
| [icc](http://software.intel.com/en-us/intel-compilers/) | C and C++ compiler from Intel |
| [ifort](http://software.intel.com/en-us/intel-compilers/) | Fortran compiler from Intel |
| [ispc](http://ispc.github.io/) | Intel SPMD Program Compilers; An open-source compiler for high-performance SIMD programming on the CPU. ispc is a compiler for a variant of the C programming language, with extensions for 'single program, multiple data' (SPMD) programming. Under the SPMD model, the programmer writes a program that generally appears to be a regular serial program, though the execution model is actually that a number of program instances execute in parallel on the hardware. |
| [LLVM](http://llvm.org/) | The LLVM Core libraries provide a modern source- and target-independent optimizer, along with code generation support for many popular CPUs (as well as some less common ones!) These libraries are built around a well specified code representation known as the LLVM intermediate representation ("LLVM IR"). The LLVM Core libraries are well documented, and it is particularly easy to invent your own language (or port an existing compiler) to use LLVM as an optimizer and code generator. |
| [OpenCoarrays](http://www.opencoarrays.org) | OpenCoarrays is an open-source software project for developing, porting and tuning transport layers that support coarray Fortran compilers. |
| [PGI](http://www.pgroup.com/) | C, C++ and Fortran compilers from The Portland Group - PGI |

## Data

| Module | Description |
| ------ | ----------- |
| [GDAL](http://www.gdal.org/) | GDAL is a translator library for raster geospatial data formats that is released under an X/MIT style Open Source license by the Open Source Geospatial Foundation. As a library, it presents a single abstract data model to the calling application for all supported formats. It also comes with a variety of useful commandline utilities for data translation and processing. |
| [h5py](http://www.h5py.org/) | HDF5 for Python (h5py) is a general-purpose Python interface to the Hierarchical Data Format library, version 5. HDF5 is a versatile, mature scientific software library designed for the fast, flexible storage of enormous amounts of data. |
| [HDF5](http://www.hdfgroup.org/HDF5/) | HDF5 is a unique technology suite that makes possible the management of extremely large and complex data collections. |
| [netCDF](http://www.unidata.ucar.edu/software/netcdf/) | NetCDF (network Common Data Form) is a set of software libraries and machine-independent data formats that support the creation, access, and sharing of array-oriented scientific data. |
| [netCDF-Fortran](http://www.unidata.ucar.edu/software/netcdf/) | NetCDF (network Common Data Form) is a set of software libraries and machine-independent data formats that support the creation, access, and sharing of array-oriented scientific data. |
| [PostgreSQL](http://www.mysql.com/) | PostgreSQL is a powerful, open source object-relational database system. It is fully ACID compliant, has full support for foreign keys, joins, views, triggers, and stored procedures (in multiple languages). It includes most SQL:2008 data types, including INTEGER, NUMERIC, BOOLEAN, CHAR, VARCHAR, DATE, INTERVAL, and TIMESTAMP. It also supports storage of binary large objects, including pictures, sounds, or video. It has native programming interfaces for C/C++, Java, .Net, Perl, Python, Ruby, Tcl, ODBC, among others, and exceptional documentation. |
| [redis](https://redis.io) | Redis is an open source (BSD licensed), in-memory data structure store, used as a database, cache and message broker. |
| [scikit-learn](http://scikit-learn.org/stable/index.html) | Scikit-learn integrates machine learning algorithms in the tightly-knit scientific Python world, building upon numpy, scipy, and matplotlib. As a machine-learning module, it provides versatile tools for data mining and analysis in any field of science and engineering. It strives to be simple and efficient, accessible to everybody, and reusable in various contexts. |
| [XML-Parser](http://search.cpan.org/~toddr/XML-Parser-2.41/) | This is a Perl extension interface to James Clark's XML parser, expat. |

## Debugger

| Module | Description |
| ------ | ----------- |
| [aislinn](https://github.com/spirali/aislinn) | Aislinn is a dynamic verifier for MPI programs; it can check all possible runs with respect to nondeterminism introduced by MPI. |
| [DDT](http://www.allinea.com/) | Debugger for scalar, multi-threaded and large-scale parallel applications. |
| [Forge](http://www.allinea.com/products/develop-allinea-forge) | Allinea Forge is the complete toolsuite for software development - with everything needed to debug, profile, optimize, edit and build C, C++ and FORTRAN applications on Linux for high performance - from single threads through to complex parallel HPC codes with MPI, OpenMP, threads or CUDA. |
| [PerformanceReports](http://www.allinea.com/products/allinea-performance-reports) | Allinea Performance Reports are the most effective way to characterize and understand the performance of HPC application runs. One single-page HTML report elegantly answers a range of vital questions for any HPC site. - Is this application well-optimized for the system and the processors it is running on? - Does it benefit from running at this scale? - Are there I/O, networking or threading bottlenecks affecting performance? - Which hardware, software or configuration changes can we make to improve performance further. - How much energy did this application use? |
| [TotalView](http://www.roguewave.com/products/totalview.aspx) | Dynamic source code and memory debugging for C, C++ and Fortran applications. |
| [Valgrind](http://valgrind.org/downloads/) | Valgrind: Debugging and profiling tools |

## Devel

| Module | Description |
| ------ | ----------- |
| [ant](http://ant.apache.org/) | Apache Ant is a Java library and command-line tool whose mission is to drive processes described in build files as targets and extension points dependent upon each other. The main known usage of Ant is the build of Java applications. |
| [Autoconf](http://www.gnu.org/software/autoconf/) | Autoconf is an extensible package of M4 macros that produce shell scripts to automatically configure software source code packages. These scripts can adapt the packages to many kinds of UNIX-like systems without manual user intervention. Autoconf creates a configuration script for a package from a template file that lists the operating system features that the package can use, in the form of M4 macro calls. |
| [Automake](http://www.gnu.org/software/automake/automake.html) | Automake: GNU Standards-compliant Makefile generator |
| [Autotools](http://autotools.io) | This bundle collect the standard GNU build tools: Autoconf, Automake and libtool |
| [Bazel](http://bazel.io/) | Bazel is a build tool that builds code quickly and reliably. It is used to build the majority of Google's software. |
| [Boost](http://www.boost.org/) | Boost provides free peer-reviewed portable C++ source libraries. |
| [CMake](http://www.cmake.org) | CMake, the cross-platform, open-source build system. CMake is a family of tools designed to build, test and package software. |
| [Doxygen](http://www.doxygen.org) | Doxygen is a documentation system for C++, C, Java, Objective-C, Python, IDL (Corba and Microsoft flavors), Fortran, VHDL, PHP, C#, and to some extent D. |
| [fontsproto](http://www.freedesktop.org/wiki/Software/xlibs) | X11 font extension wire protocol |
| [glproto](http://www.freedesktop.org/wiki/Software/xlibs) | X protocol and ancillary headers |
| [GObject-Introspection](https://wiki.gnome.org/GObjectIntrospection/) | GObject introspection is a middleware layer between C libraries (using GObject) and language bindings. The C library can be scanned at compile time and generate a metadata file, in addition to the actual native C library. Then at runtime, language bindings can read this metadata and automatically provide bindings to call into the C library. |
| [gperf](http://www.gnu.org/software/gperf/) | GNU gperf is a perfect hash function generator. For a given list of strings, it produces a hash function and hash table, in form of C or C++ code, for looking up a value depending on the input string. The hash function is perfect, which means that the hash table has no collisions, and the hash table lookup needs a single string comparison only. |
| [guile](http://www.gnu.org/software/guile) | Guile is the GNU Ubiquitous Intelligent Language for Extensions, the official extension language for the GNU operating system. |
| [intltool](http://freedesktop.org/wiki/Software/intltool/) | intltool is a set of tools to centralize translation of many different file formats using GNU gettext-compatible PO files. |
| [Jansson](http://www.digip.org/jansson/) | Jansson is a C library for encoding, decoding and manipulating JSON data. Its main features and design principles are: * Simple and intuitive API and data model * Comprehensive documentation * No dependencies on other libraries * Full Unicode support (UTF-8) * Extensive test suite |
| [JUnit](http://sourceforge.net/projects/junit) | A programmer-oriented testing framework for Java. |
| [libICU](http://maven.apache.org/index.html) | Binary maven install, Apache Maven is a software project management and comprehension tool. Based on the concept of a project object model (POM), Maven can manage a project's build, reporting and documentation from a central piece of information. |
| [libSM](http://www.freedesktop.org/wiki/Software/xlibs) | X11 Session Management library, which allows for applications to both manage sessions, and make use of session managers to save and restore their state for later use. |
| [M4](http://www.gnu.org/software/m4/m4.html) | GNU M4 is an implementation of the traditional Unix macro processor. It is mostly SVR4 compatible although it has some extensions (for example, handling more than 9 positional parameters to macros). GNU M4 also has built-in functions for including files, running shell commands, doing arithmetic, etc. |
| [make](http://www.gnu.org/software/make/make.html) | make-3.82: GNU version of make utility |
| [makedepend](http://www.linuxfromscratch.org/blfs/view/svn/x/makedepend.html) | The makedepend package contains a C-preprocessor like utility to determine build-time dependencies. |
| [Mako](http://www.makotemplates.org) | A super-fast templating language that borrows the best ideas from the existing templating languages |
| [Maven](http://maven.apache.org/index.html) | Binary maven install, Apache Maven is a software project management and comprehension tool. Based on the concept of a project object model (POM), Maven can manage a project's build, reporting and documentation from a central piece of information. |
| [ncurses](http://www.gnu.org/software/ncurses/) | The Ncurses (new curses) library is a free software emulation of curses in System V Release 4.0, and more. It uses Terminfo format, supports pads and color and multiple highlights and forms characters and function-key mapping, and has all the other SYSV-curses enhancements over BSD Curses. |
| [PCRE](http://www.pcre.org/) | The PCRE library is a set of functions that implement regular expression pattern matching using the same syntax and semantics as Perl 5. |
| [PCRE2](http://www.pcre.org/) | The PCRE library is a set of functions that implement regular expression pattern matching using the same syntax and semantics as Perl 5. |
| [pkg-config](http://www.freedesktop.org/wiki/Software/pkg-config/) | pkg-config is a helper tool used when compiling applications and libraries. It helps you insert the correct compiler options on the command line so an application can use gcc -o test test.c `pkg-config --libs --cflags glib-2.0` for instance, rather than hard-coding values on where to find glib (or other libraries). |
| [protobuf](http://python.org/) | Python is a programming language that lets you work more quickly and integrate your systems more effectively. |
| [protobuf-python](https://github.com/google/protobuf/) | Python Protocol Buffers runtime library. |
| [python-meep](https://code.launchpad.net/python-meep) | Python wrapper for the Meep FDTD solver. |
| [Qt](http://qt-project.org/) | Qt is a comprehensive cross-platform C++ application framework. |
| [Qt5](http://qt.io/) | Qt is a comprehensive cross-platform C++ application framework. |
| [renderproto](http://www.freedesktop.org/wiki/Software/xlibs) | Xrender protocol and ancillary headers |
| [SCons](http://www.scons.org/) | SCons is a software construction tool. |
| [Spack](https://spack.io/) | Spack is a package manager for supercomputers, Linux, and macOS. It makes installing scientific software easy. With Spack, you can build a package with multiple versions, configurations, platforms, and compilers, and all of these builds can coexist on the same machine. |
| [Spark](http://spark.apache.org) | Spark is Hadoop MapReduce done in memory |
| [sparsehash](https://github.com/sparsehash/sparsehash) | An extremely memory-efficient hash_map implementation. 2 bits/entry overhead! The SparseHash library contains several hash-map implementations, including implementations that optimize for space or speed. |
| [SQLite](http://www.sqlite.org/) | SQLite: SQL Database Engine in a C Library |
| [squashfs-tools](http://squashfs.sourceforge.net/) | Squashfs is a compressed read-only filesystem for Linux. |
| [SWIG](http://www.swig.org/) | SWIG is a software development tool that connects programs written in C and C++ with a variety of high-level programming languages. |
| [xbitmaps](http://www.freedesktop.org/wiki/Software/xlibs) | provides bitmaps for x |
| [xcb-proto](http://xcb.freedesktop.org/) | The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility. |
| [xextproto](http://www.freedesktop.org/wiki/Software/xlibs) | XExtProto protocol headers. |
| [xineramaproto](http://www.freedesktop.org/wiki/Software/xlibs) | X protocol and ancillary headers for xinerama |
| [XKeyboardConfig](http://www.freedesktop.org/wiki/Software/XKeyboardConfig/) | The non-arch keyboard configuration database for X Window. The goal is to provide the consistent, well-structured, frequently released open source of X keyboard configuration data for X Window System implementations (free, open source and commercial). The project is targeted to XKB-based systems. |
| [xorg-macros](http://cgit.freedesktop.org/xorg/util/macros) | X.org macros utilities. |
| [xproto](http://www.freedesktop.org/wiki/Software/xlibs) | X protocol and ancillary headers |
| [xtrans](http://www.freedesktop.org/wiki/Software/xlibs) | xtrans includes a number of routines to make X implementations transport-independent; at time of writing, it includes support for UNIX sockets, IPv4, IPv6, and DECnet. |

## Geo

| Module | Description |
| ------ | ----------- |
| [DCW](http://gmt.soest.hawaii.edu/projects/gmt) | country polygons for GMT |
| [Doris](http://doris.tudelft.nl/) | Delft object-oriented radar interferometric software |
| [FEFLOW](https://www.mikepoweredbydhi.com/products/feflow) | FEFLOW provides best-in-class technology for groundwater flow, contaminant, groundwater age and heat transport simulations. With its efficient user interface and its yet unmatched range of functionality and flexibility, FEFLOW has become a standard in premium groundwater modelling over the last 35 years. |
| [PHREEQC](https://wwwbrr.cr.usgs.gov/projects/GWC_coupled/phreeqc/) | A Computer Program for Speciation, Batch-Reaction, One-Dimensional Transport, and Inverse Geochemical Calculations |
| [PROJ_4](http://proj.osgeo.org) | PROJ.4 - Cartographic Projections Library originally written by Gerald Evenden then of the USGS. |

## Lang

| Module | Description |
| ------ | ----------- |
| [Anaconda2](https://www.continuum.io/anaconda-overview) | Built to complement the rich, open source Python community, the Anaconda platform provides an enterprise-ready data analytics platform that empowers companies to adopt a modern open data science analytics architecture. |
| [Anaconda3](https://www.continuum.io/anaconda-overview) | Built to complement the rich, open source Python community, the Anaconda platform provides an enterprise-ready data analytics platform that empowers companies to adopt a modern open data science analytics architecture. |
| [Bison](http://www.gnu.org/software/bison) | Bison is a general-purpose parser generator that converts an annotated context-free grammar into a deterministic LR or generalized LR (GLR) parser employing LALR(1) parser tables. |
| [byacc](http://invisible-island.net/byacc/byacc.html) | Berkeley Yacc (byacc) is generally conceded to be the best yacc variant available. In contrast to bison, it is written to avoid dependencies upon a particular compiler. |
| [Cython](https://pypi.python.org/pypi/Cython/) | The Cython language makes writing C extensions for the Python language as easy as Python itself. Cython is a source code translator based on the well-known Pyrex, but supports more cutting edge functionality and optimizations. |
| [dotNET-Core-Runtime](https://www.microsoft.com/net/) | .NET is a free, cross-platform, open source developer platform for building many different types of applications. |
| [dotNET-Core-SDK](https://www.microsoft.com/net/) | .NET is a free, cross-platform, open source developer platform for building many different types of applications. |
| [flex](http://flex.sourceforge.net/) | Flex (Fast Lexical Analyzer) is a tool for generating scanners. A scanner, sometimes called a tokenizer, is a program which recognizes lexical patterns in text. |
| [FriBidi](https://github.com/fribidi/fribidi) | The Free Implementation of the Unicode Bidirectional Algorithm. |
| [Java](http://java.com/) | Java Platform, Standard Edition (Java SE) lets you develop and deploy Java applications on desktops and servers. |
| [libgdiplus](https://github.com/mono/libgdiplus) | An Open Source implementation of the GDI+ API. |
| [Lua](http://www.lua.org/) | Lua is a powerful, fast, lightweight, embeddable scripting language. Lua combines simple procedural syntax with powerful data description constructs based on associative arrays and extensible semantics. Lua is dynamically typed, runs by interpreting bytecode for a register-based virtual machine, and has automatic memory management with incremental garbage collection, making it ideal for configuration, scripting, and rapid prototyping. |
| [Mono](http://www.mono-project.com) | Mono is an open source implementation of Microsoft's .NET Framework based on the ECMA standards for C# and the Common Language Runtime. |
| [NASM](http://www.nasm.us/) | NASM: General-purpose x86 assembler |
| [NodeJS](http://nodejs.org) | Node.js is a platform built on Chrome's JavaScript runtime for easily building fast, scalable network applications. Node.js uses an event-driven, non-blocking I/O model that makes it lightweight and efficient, perfect for data-intensive real-time applications that run across distributed devices. |
| [OpenCL-builder](https://software.intel.com/en-us/intel-opencl) | OpenCL™ is the first open, royalty-free standard for cross-platform, parallel programming of modern processors found in personal computers, servers and handheld/embedded devices. OpenCL (Open Computing Language) greatly improves speed and responsiveness for a wide spectrum of applications in numerous market categories from gaming and entertainment to scientific and medical software. This is builder (formerly runtime) package. |
| [OpenCL-runtime](https://software.intel.com/en-us/intel-opencl) | OpenCL™ is the first open, royalty-free standard for cross-platform, parallel programming of modern processors found in personal computers, servers and handheld/embedded devices. OpenCL (Open Computing Language) greatly improves speed and responsiveness for a wide spectrum of applications in numerous market categories from gaming and entertainment to scientific and medical software. |
| [OpenCL-sdk](https://software.intel.com/en-us/intel-opencl) | OpenCL™ is the first open, royalty-free standard for cross-platform, parallel programming of modern processors found in personal computers, servers and handheld/embedded devices. OpenCL (Open Computing Language) greatly improves speed and responsiveness for a wide spectrum of applications in numerous market categories from gaming and entertainment to scientific and medical software. |
| [Perl](http://www.perl.org/) | Larry Wall's Practical Extraction and Report Language |
| [Python](http://python.org/) | Python is a programming language that lets you work more quickly and integrate your systems more effectively. |
| [R](http://www.r-project.org/) | R is a free software environment for statistical computing and graphics. |
| [Racket](http://racket-lang.org) | Racket is a full-spectrum programming language. It goes beyond Lisp and Scheme with dialects that support objects, types, laziness, and more. |
| [RapidJSON](http://rapidjson.org/) | A fast JSON parser/generator for C++ with both SAX/DOM style API Tencent is pleased to support the open source community by making RapidJSON available. Copyright (C) 2015 THL A29 Limited, a Tencent company, and Milo Yip. All rights reserved. |
| [Ruby](https://www.ruby-lang.org) | Ruby is a dynamic, open source programming language with a focus on simplicity and productivity. It has an elegant syntax that is natural to read and easy to write. |
| [SnuCL](http://snucl.snu.ac.kr) | An OpenCL Framework for Heterogeneous Clusters |
| [sqsgenerator](https://github.com/dnoeger/sqsgenerator) | This package is a Special Quasirandom Structure generator written in Python3/Cython. Please note that the programm currently only works with Python 3. |
| [Tcl](http://www.tcl.tk/) | Tcl (Tool Command Language) is a very powerful but easy to learn dynamic programming language, suitable for a very wide range of uses, including web and desktop applications, networking, administration, testing and many more. |
| [Yasm](http://www.tortall.net/projects/yasm/) | Yasm: Complete rewrite of the NASM assembler with BSD license |

## Lib

| Module | Description |
| ------ | ----------- |
| [ACE](http://www.dre.vanderbilt.edu/~schmidt/ACE-overview.html) | The ADAPTIVE Communication Environment (ACE) is a freely available, open-source object-oriented (OO) framework that implements many core patterns for concurrent communication software. ACE provides a rich set of reusable C++ wrapper facades and framework components that perform common communication software tasks across a range of OS platforms. The communication software tasks provided by ACE include event demultiplexing and event handler dispatching, signal handling, service initialization, interprocess communication, shared memory management, message routing, dynamic (re)configuration of distributed services, concurrent execution and synchronization. ACE is targeted for developers of high-performance and real-time communication services and applications. It simplifies the development of OO network applications and services that utilize interprocess communication, event demultiplexing, explicit dynamic linking, and concurrency. In addition, ACE automates system configuration and reconfiguration by dynamically linking services into applications at run-time and executing these services in one or more processes or threads. |
| [ACTC](https://sourceforge.net/projects/actc) | ACTC converts independent triangles into triangle strips or fans. |
| [astroid](https://github.com/PyCQA/astroid) | The aim of this module is to provide a common base representation of python source code for projects such as pychecker, pyreverse, pylint… Well, actually the development of this library is essentially governed by pylint’s needs. It used to be called logilab-astng. |
| [cereal](http://uscilab.github.io/cereal/) | cereal is a header-only C++11 serialization library. |
| [darshan-runtime](http://www.mcs.anl.gov/research/projects/darshan/) | Darshan is designed to capture an accurate picture of application I/O behavior, including properties such as patterns of access within files, with minimum overhead. The name is taken from a Sanskrit word for “sight” or “vision”. Darshan can be used to investigate and tune the I/O behavior of complex HPC applications. In addition, Darshan’s lightweight design makes it suitable for full time deployment for workload characterization of large systems. We hope that such studies will help the storage research community to better serve the needs of scientific computing. Darshan was originally developed on the IBM Blue Gene series of computers deployed at the Argonne Leadership Computing Facility, but it is portable across a wide variety of platforms include the Cray XE6, Cray XC30, and Linux clusters. Darshan routinely instruments jobs using up to 786,432 compute cores on the Mira system at ALCF. |
| [darshan-util](http://www.mcs.anl.gov/research/projects/darshan/) | Darshan is designed to capture an accurate picture of application I/O behavior, including properties such as patterns of access within files, with minimum overhead. The name is taken from a Sanskrit word for “sight” or “vision”. Darshan can be used to investigate and tune the I/O behavior of complex HPC applications. In addition, Darshan’s lightweight design makes it suitable for full time deployment for workload characterization of large systems. We hope that such studies will help the storage research community to better serve the needs of scientific computing. Darshan was originally developed on the IBM Blue Gene series of computers deployed at the Argonne Leadership Computing Facility, but it is portable across a wide variety of platforms include the Cray XE6, Cray XC30, and Linux clusters. Darshan routinely instruments jobs using up to 786,432 compute cores on the Mira system at ALCF. |
| [Embree](https://embree.github.io/index.html) | Embree is a collection of high-performance ray tracing kernels, developed at Intel. |
| [ETSF_IO](http://www.etsf.eu/resources/software/libraries_and_tools) | A library of F90 routines to read/write the ETSF file format has been written. It is called ETSF_IO and available under LGPL. |
| [FOX](http://fox-toolkit.org) | FOX is a C++ based Toolkit for developing Graphical User Interfaces easily and effectively. It offers a wide, and growing, collection of Controls, and provides state of the art facilities such as drag and drop, selection, as well as OpenGL widgets for 3D graphical manipulation. |
| [freeglut](http://freeglut.sourceforge.net/) | freeglut is a completely OpenSourced alternative to the OpenGL Utility Toolkit (GLUT) library. |
| [glibc](https://www.gnu.org/software/libc/) | The Glibc package contains the main C library. This library provides the basic routines for allocating memory, searching directories, opening and closing files, reading and writing files, string handling, pattern matching, arithmetic, and so on. |
| [GLM](https://github.com/g-truc/glm) | OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics software based on the OpenGL Shading Language (GLSL) specifications. |
| [HyperLoom](https://code.it4i.cz/ADAS/loom) | Framework for distributed task execution |
| [isort](https://github.com/timothycrosley/isort) | isort is a Python utility / library to sort imports alphabetically, and automatically separated into sections. It provides a command line utility, Python library and plugins for various editors to quickly sort all your imports. |
| [libarchive](https://www.libarchive.org/) | Multi-format archive and compression library |
| [libdrm](http://dri.freedesktop.org) | Direct Rendering Manager runtime library. |
| [libevent](http://libevent.org/) | The libevent API provides a mechanism to execute a callback function when a specific event occurs on a file descriptor or after a timeout has been reached. Furthermore, libevent also support callbacks due to signals or regular timeouts. |
| [libffi](http://sourceware.org/libffi/) | The libffi library provides a portable, high level programming interface to various calling conventions. This allows a programmer to call any function specified by a call interface description at run-time. |
| [libfontenc](http://www.freedesktop.org/wiki/Software/xlibs/) | X11 font encoding library |
| [libgd](http://libgd.bitbucket.org/) | GD is an open source code library for the dynamic creation of images by programmers. |
| [libglade](https://developer.gnome.org/libglade/) | Libglade is a library for constructing user interfaces dynamically from XML descriptions. |
| [libjpeg-turbo](http://sourceforge.net/libjpeg-turbo/) | libjpeg-turbo is a fork of the original IJG libjpeg which uses SIMD to accelerate baseline JPEG compression and decompression. libjpeg is a library that implements JPEG image encoding, decoding and transcoding. |
| [libmatheval](http://www.gnu.org/software/libmatheval/) | GNU libmatheval is a library (callable from C and Fortran) to parse and evaluate symbolic expressions input as text. |
| [libMesh](http://libmesh.github.io/) | The libMesh library provides a framework for the numerical simulation of partial differential equations using arbitrary unstructured discretizations on serial and parallel platforms. A major goal of the library is to provide support for adaptive mesh refinement (AMR) computations in parallel while allowing a research scientist to focus on the physics they are modeling. |
| [libpng](http://www.libpng.org/pub/png/libpng.html) | libpng is the official PNG reference library |
| [libpthread-stubs](http://xcb.freedesktop.org/) | The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility. |
| [libreadline](http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html) | The GNU Readline library provides a set of functions for use by applications that allow users to edit command lines as they are typed in. Both Emacs and vi editing modes are available. The Readline library includes additional functions to maintain a list of previously-entered command lines, to recall and perhaps reedit those lines, and perform csh-like history expansion on previous commands. |
| [librsync](http://git-scm.com/) | librsync is a library for calculating and applying network deltas, with an interface designed to ease integration into diverse network applications. |
| [libsndfile](http://www.mega-nerd.com/libsndfile) | Libsndfile is a C library for reading and writing files containing sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format) through one standard library interface. |
| [LIBSVM](http://www.csie.ntu.edu.tw/~cjlin/libsvm/) | LIBSVM is an integrated software for support vector classification, (C-SVC, nu-SVC), regression (epsilon-SVR, nu-SVR) and distribution estimation (one-class SVM). It supports multi-class classification. |
| [LibTIFF](http://www.remotesensing.org/libtiff/) | tiff: Library and tools for reading and writing TIFF data files |
| [libtool](http://www.gnu.org/software/libtool) | GNU libtool is a generic library support script. Libtool hides the complexity of using shared libraries behind a consistent, portable interface. |
| [libunistring](http://www.gnu.org/software/libunistring/) | This library provides functions for manipulating Unicode strings and for manipulating C strings according to the Unicode standard. |
| [libunwind](http://www.nongnu.org/libunwind/) | The primary goal of libunwind is to define a portable and efficient C programming interface (API) to determine the call-chain of a program. The API additionally provides the means to manipulate the preserved (callee-saved) state of each call-frame and to resume execution at any point in the call-chain (non-local goto). The API supports both local (same-process) and remote (across-process) operation. As such, the API is useful in a number of applications |
| [LibUUID](http://sourceforge.net/projects/libuuid/) | Portable uuid C library |
| [libuv](https://github.com/libuv) | libuv is a multi-platform support library with a focus on asynchronous I/O. It was primarily developed for use by Node.js, but it's also used by Luvit, Julia, pyuv, and others. |
| [libxcb](http://xcb.freedesktop.org/) | The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility. |
| [libxml2](http://xmlsoft.org/) | Libxml2 is the XML C parser and toolchain developed for the Gnome project (but usable outside of the Gnome platform). |
| [libxslt](http://xmlsoft.org/) | Libxslt is the XSLT C library developed for the GNOME project (but usable outside of the Gnome platform). |
| [libyaml](http://pyyaml.org/wiki/LibYAML) | LibYAML is a YAML 1.1 parser and emitter written in C. |
| [libzip](https://nih.at/libzip/) | libzip is a C library for reading, creating, and modifying zip archives. Files can be added from data buffers, files, or compressed data copied directly from other zip archives. Changes made without closing the archive can be reverted. The API is documented by man pages. |
| [lxml](http://lxml.de/) | The lxml XML toolkit is a Pythonic binding for the C libraries libxml2 and libxslt. |
| [MATIO](http://sourceforge.net/projects/matio/) | matio is an C library for reading and writing Matlab MAT files. |
| [mpi4py](http://mpi4py.scipy.org/docs) | MPI for Python (mpi4py) provides bindings of the Message Passing Interface (MPI) standard for the Python programming language, allowing any Python program to exploit multiple processors. |
| [nettle](http://www.lysator.liu.se/~nisse/nettle/) | Nettle is a cryptographic library that is designed to fit easily in more or less any context: In crypto toolkits for object-oriented languages (C++, Python, Pike, ...), in applications like LSH or GNUPG, or even in kernel space. |
| [OpenCoarrays](http://www.opencoarrays.org) | OpenCoarrays is an open-source software project for developing, porting and tuning transport layers that support coarray Fortran compilers. |
| [PROJ](http://trac.osgeo.org/proj/) | Program proj is a standard Unix filter function which converts geographic longitude and latitude coordinates into cartesian coordinates |
| [psycopg2](http://initd.org/psycopg/) | Psycopg is the most popular PostgreSQL adapter for the Python programming language. |
| [pylint](https://github.com/PyCQA/pylint) | Pylint is a Python source code analyzer which looks for programming errors, helps enforcing a coding standard and sniffs for some code smells (as defined in Martin Fowler's Refactoring book). |
| [PyYAML](https://pypi.python.org/pypi/PyYAML/) | PyYAML is a YAML parser and emitter for the Python programming language. |
| [QCA](http://delta.affinix.com/qca/) | QCA aims to provide a straightforward and cross-platform crypto API, using Qt datatypes and conventions. QCA separates the API from the implementation, using plugins known as Providers |
| [Qwt](http://qwt.sourceforge.net/index.html) | The Qwt library contains GUI Components and utility classes which are primarily useful for programs with a technical background. Beside a framework for 2D plots it provides scales, sliders, dials, compasses, thermometers, wheels and knobs to control or display values, arrays, or ranges of type double. |
| [scipy](https://github.com/jupyter/testpath) | Test utilities for code working with files and commands |
| [SIONlib](http://www.fz-juelich.de/ias/jsc/EN/Expertise/Support/Software/SIONlib/_node.html) | SIONlib is a scalable I/O library for parallel access to task-local files. The library not only supports writing and reading binary data to or from several thousands of processors into a single or a small number of physical files, but also provides global open and close functions to access SIONlib files in parallel. This package provides a stripped-down installation of SIONlib for use with performance tools (e.g., Score-P), with renamed symbols to avoid conflicts when an application using SIONlib itself is linked against a tool requiring a different SIONlib version. |
| [spatialindex](https://libspatialindex.github.io/index.html) | The purpose of this library is to provide: * An extensible framework that will support robust spatial indexing methods. * Support for sophisticated spatial queries. Range, point location, nearest neighbor and k-nearest neighbor as well as parametric queries (defined by spatial constraints) should be easy to deploy and run. * Easy to use interfaces for inserting, deleting and updating information. |
| [tbb](http://software.intel.com/en-us/articles/intel-tbb/) | Intel Threading Building Blocks 4.0 (Intel TBB) is a widely used, award-winning C++ template library for creating reliable, portable, and scalable parallel applications. Use Intel TBB for a simple and rapid way of developing robust task-based parallel applications that scale to available processor cores, are compatible with multiple environments, and are easier to maintain. Intel TBB is the most proficient way to implement future-proof parallel applications that tap into the power and performance of multicore and manycore hardware platforms. |
| [Tensorflow](https://www.tensorflow.org/) | An open-source software library for Machine Intelligence |
| [TRIQS](https://triqs.ipht.cnrs.fr) | TRIQS (Toolbox for Research on Interacting Quantum Systems) is a scientific project providing a set of C++ and Python libraries to develop new tools for the study of interacting quantum systems. |
| [zlib](http://www.zlib.net/) | zlib is designed to be a free, general-purpose, legally unencumbered -- that is, not covered by any patents -- lossless data-compression library for use on virtually any computer hardware and operating system. |

## Math

| Module | Description |
| ------ | ----------- |
| [Eigen](http://eigen.tuxfamily.org/index.php?title=Main_Page) | Eigen is a C++ template library for linear algebra: matrices, vectors, numerical solvers, and related algorithms. |
| [FIAT](https://bitbucket.org/fenics-project/fiat) | The FInite element Automatic Tabulator FIAT supports generation of arbitrary order instances of the Lagrange elements on lines, triangles, and tetrahedra. It is also capable of generating arbitrary order instances of Jacobi-type quadrature rules on the same element shapes. |
| [GEOS](http://trac.osgeo.org/geos) | GEOS (Geometry Engine - Open Source) is a C++ port of the Java Topology Suite (JTS) |
| [GMP](http://gmplib.org/) | GMP is a free library for arbitrary precision arithmetic, operating on signed integers, rational numbers, and floating point numbers. |
| [h5py](http://www.h5py.org/) | HDF5 for Python (h5py) is a general-purpose Python interface to the Hierarchical Data Format library, version 5. HDF5 is a versatile, mature scientific software library designed for the fast, flexible storage of enormous amounts of data. |
| [Harminv](http://ab-initio.mit.edu/wiki/index.php/Harminv) | Harminv is a free program (and accompanying library) to solve the problem of harmonic inversion - given a discrete-time, finite-length signal that consists of a sum of finitely-many sinusoids (possibly exponentially decaying) in a given bandwidth, it determines the frequencies, decay constants, amplitudes, and phases of those sinusoids. |
| [ISL](http://isl.gforge.inria.fr/) | isl is a library for manipulating sets and relations of integer points bounded by linear constraints. |
| [Keras](https://keras.io/) | Keras is a minimalist, highly modular neural networks library, written in Python and capable of running on top of either TensorFlow or Theano. |
| [libcerf](http://gnuplot.sourceforge.net/) | libcerf is a self-contained numeric library that provides an efficient and accurate implementation of complex error functions, along with Dawson, Faddeeva, and Voigt functions. |
| [libsmm](https://www.cp2k.org/) | Library for small matrix multiplies. |
| [libxsmm](https://github.com/hfp/libxsmm) | LIBXSMM is a library for small dense and small sparse matrix-matrix multiplications targeting Intel Architecture (x86). |
| [MATLAB](http://www.mathworks.com/products/matlab) | MATLAB is a high-level language and interactive environment that enables you to perform computationally intensive tasks faster than with traditional programming languages such as C, C++, and Fortran. |
| [METIS](http://glaros.dtc.umn.edu/gkhome/metis/metis/overview) | METIS is a set of serial programs for partitioning graphs, partitioning finite element meshes, and producing fill reducing orderings for sparse matrices. The algorithms implemented in METIS are based on the multilevel recursive-bisection, multilevel k-way, and multi-constraint partitioning schemes. |
| [MPC](http://www.multiprecision.org/) | Gnu Mpc is a C library for the arithmetic of complex numbers with arbitrarily high precision and correct rounding of the result. It extends the principles of the IEEE-754 standard for fixed precision real floating point numbers to complex numbers, providing well-defined semantics for every operation. At the same time, speed of operation at high precision is a major design goal. |
| [MPFR](http://www.mpfr.org) | The MPFR library is a C library for multiple-precision floating-point computations with correct rounding. |
| [MUMPS](http://graal.ens-lyon.fr/MUMPS/) | [A parallel sparse direct solver |
| [numpy](http://www.numpy.org) | NumPy is the fundamental package for scientific computing with Python. It contains among other things: a powerful N-dimensional array object, sophisticated (broadcasting) functions, tools for integrating C/C++ and Fortran code, useful linear algebra, Fourier transform, and random number capabilities. Besides its obvious scientific uses, NumPy can also be used as an efficient multi-dimensional container of generic data. Arbitrary data-types can be defined. This allows NumPy to seamlessly and speedily integrate with a wide variety of databases. |
| [Octave](http://www.gnu.org/software/octave/) | GNU Octave is a high-level interpreted language, primarily intended for numerical computations. |
| [ParMETIS](http://glaros.dtc.umn.edu/gkhome/metis/parmetis/overview) | ParMETIS is an MPI-based parallel library that implements a variety of algorithms for partitioning unstructured graphs, meshes, and for computing fill-reducing orderings of sparse matrices. ParMETIS extends the functionality provided by METIS and includes routines that are especially suited for parallel AMR computations and large scale numerical simulations. The algorithms implemented in ParMETIS are based on the parallel multilevel k-way graph-partitioning, adaptive repartitioning, and parallel multi-constrained partitioning schemes. |
| [Qhull](http://www.qhull.org) | Qhull computes the convex hull, Delaunay triangulation, Voronoi diagram, halfspace intersection about a point, furthest-site Delaunay triangulation, and furthest-site Voronoi diagram. The source code runs in 2-d, 3-d, 4-d, and higher dimensions. Qhull implements the Quickhull algorithm for computing the convex hull. |
| [ScientificPython](https://sourcesup.cru.fr/projects/scientific-py/) | ScientificPython is a collection of Python modules for scientific computing. It contains support for geometry, mathematical functions, statistics, physical units, IO, visualization, and parallelization. |
| [scipy](https://github.com/jupyter/testpath) | Test utilities for code working with files and commands |
| [SCOTCH](http://gforge.inria.fr/projects/scotch/) | Software package and libraries for sequential and parallel graph partitioning, static mapping, and sparse matrix block ordering, and sequential mesh and hypergraph partitioning. |
| [sympy](http://sympy.org/) | SymPy is a Python library for symbolic mathematics. It aims to become a full-featured computer algebra system (CAS) while keeping the code as simple as possible in order to be comprehensible and easily extensible. SymPy is written entirely in Python and does not require any external libraries. |
| [Theano](http://deeplearning.net/software/theano) | Theano is a Python library that allows you to define, optimize, and evaluate mathematical expressions involving multi-dimensional arrays efficiently. |

## Mpi

| Module | Description |
| ------ | ----------- |
| [impi](http://software.intel.com/en-us/intel-mpi-library/) | The Intel(R) MPI Library for Linux* OS is a multi-fabric message passing library based on ANL MPICH2 and OSU MVAPICH2. The Intel MPI Library for Linux OS implements the Message Passing Interface, version 2 (MPI-2) specification. |
| [MPI_NET](http://www.osl.iu.edu/research/mpi.net/) | MPI.NET is a high-performance, easy-to-use implementation of the Message Passing Interface (MPI) for Microsoft's .NET environment |
| [MPICH](http://www.mpich.org/) | MPICH v3.x is an open source high-performance MPI 3.0 implementation. It does not support InfiniBand (use MVAPICH2 with InfiniBand devices). |
| [MPT](https://www.nas.nasa.gov/hecc/support/kb/sgi-mpt_89.html) | [The modulefile defines paths and environment variables needed to use MPT in a non-default location. |
| [MVAPICH2](http://mvapich.cse.ohio-state.edu/overview/mvapich2/) | This is an MPI 3.0 implementation. It is based on MPICH2 and MVICH. |
| [OpenMPI](http://www.open-mpi.org/) | The Open MPI Project is an open source MPI-2 implementation. |

## Numlib

| Module | Description |
| ------ | ----------- |
| [Armadillo](http://arma.sourceforge.net/) | Armadillo is an open-source C++ linear algebra library (matrix maths) aiming towards a good balance between speed and ease of use. Integer, floating point and complex numbers are supported, as well as a subset of trigonometric and statistics functions. |
| [arpack-ng](http://forge.scilab.org/index.php/p/arpack-ng/) | ARPACK is a collection of Fortran77 subroutines designed to solve large scale eigenvalue problems. |
| [ATLAS](http://math-atlas.sourceforge.net) | ATLAS (Automatically Tuned Linear Algebra Software) is the application of the AEOS (Automated Empirical Optimization of Software) paradigm, with the present emphasis on the Basic Linear Algebra Subprograms (BLAS), a widely used, performance-critical, linear algebra kernel library. |
| [CGAL](http://www.cgal.org/) | [The goal of the CGAL Open Source Project is to provide easy access to efficient and reliable geometric algorithms in the form of a C++ library. |
| [Clp](https://projects.coin-or.org/Clp) | [Clp (COIN-OR linear programming) is an open-source linear programming solver written in C++. It is primarily meant to be used as a callable library, but a basic stand-alone executable version is also available. It is a part of the COIN-OR project (https://www.coin-or.org). |
| [CNTKCustomMKL](https://www.microsoft.com/en-us/cognitive-toolkit/) | The default CNTK math library is the Intel Math Kernel Library (Intel MKL). CNTK supports using the Intel MKL via a custom library version (CNTK custom MKL). |
| [FFTW](http://www.fftw.org) | FFTW is a C subroutine library for computing the discrete Fourier transform (DFT) in one or more dimensions, of arbitrary input size, and of both real and complex data. |
| [GSL](http://www.gnu.org/software/gsl/) | The GNU Scientific Library (GSL) is a numerical library for C and C++ programmers. The library provides a wide range of mathematical routines such as random number generators, special functions and least-squares fitting. |
| [Hypre](https://computation.llnl.gov/casc/linear_solvers/sls_hypre.html) | Hypre is a library for solving large, sparse linear systems of equations on massively parallel computers. The problems of interest arise in the simulation codes being developed at LLNL and elsewhere to study physical phenomena in the defense, environmental, energy, and biological sciences. |
| [imkl](http://software.intel.com/en-us/intel-mkl/) | Intel Math Kernel Library is a library of highly optimized, extensively threaded math routines for science, engineering, and financial applications that require maximum performance. Core math functions include BLAS, LAPACK, ScaLAPACK, Sparse Solvers, Fast Fourier Transforms, Vector Math, and more. |
| [LAPACK](http://www.netlib.org/lapack/) | LAPACK is written in Fortran90 and provides routines for solving systems of simultaneous linear equations, least-squares solutions of linear systems of equations, eigenvalue problems, and singular value problems. |
| [LAPACKE](http://www.netlib.org/lapack/lapacke.html) | LAPACKE C Interface to LAPACK header files and library |
| [LIBLINEAR](http://www.csie.ntu.edu.tw/~cjlin/liblinear/) | LIBLINEAR is a simple package for solving large-scale regularized linear classification and regression. It supports L2-regularized logistic regression, L2-loss support vector classification L1-loss support vector classification, L1-regularized L2-loss support vector classification, L1-regularized logistic regression L2-regularized L2-loss support vector regression, L1-loss support vector regression. |
| [mkl](http://software.intel.com/en-us/intel-mkl/) | Intel Math Kernel Library is a library of highly optimized, extensively threaded math routines for science, engineering, and financial applications that require maximum performance. Core math functions include BLAS, LAPACK, ScaLAPACK, Sparse Solvers, Fast Fourier Transforms, Vector Math, and more. |
| [MPI-LIBLINEAR](https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/distributed-liblinear/mpi/) | MPI LIBLINEAR is an extension of LIBLINEAR on distributed environments. The usage and the data format are the same as LIBLINEAR. It supports L2-regularized logistic regression, L2-regularized logistic regression, L2-regularized L2-loss linear SVM (primal trust-region Newton), L2-regularized L1-loss linear SVM (dual), L2-regularized logistic regression (primal limited common directions), L2-regularized L2-loss linear SVM (primal limited common directions). Module created by the PERMON Team (http://permon.it4i.cz). |
| [NLopt](http://ab-initio.mit.edu/wiki/index.php/NLopt) | NLopt is a free/open-source library for nonlinear optimization, providing a common interface for a number of different free optimization routines available online as well as original implementations of various other algorithms. |
| [OpenBLAS](http://xianyi.github.com/OpenBLAS/) | OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version. |
| [PETSc](http://www.mcs.anl.gov/petsc) | PETSc, pronounced PET-see (the S is silent), is a suite of data structures and routines for the scalable (parallel) solution of scientific applications modeled by partial differential equations. |
| [PFFT](https://www-user.tu-chemnitz.de/~mpip/software.php?lang=en) | PFFT is a software library for computing massively parallel, fast Fourier transformations on distributed memory architectures. PFFT can be understood as a generalization of FFTW-MPI to multidimensional data decomposition. |
| [qrupdate](https://sourceforge.net/projects/qrupdate/) | qrupdate is a Fortran library for fast updates of QR and Cholesky decompositions. |
| [ScaLAPACK](http://www.netlib.org/scalapack/) | The ScaLAPACK (or Scalable LAPACK) library includes a subset of LAPACK routines redesigned for distributed memory MIMD parallel computers. |
| [SLEPc](http://www.grycap.upv.es/slepc/) | SLEPc (Scalable Library for Eigenvalue Problem Computations) is a software library for the solution of large scale sparse eigenvalue problems on parallel computers. It is an extension of PETSc and can be used for either standard or generalized eigenproblems, with real or complex arithmetic. It can also be used for computing a partial SVD of a large, sparse, rectangular matrix, and to solve quadratic eigenvalue problems. |
| [SuiteSparse](http://www.cise.ufl.edu/research/sparse/SuiteSparse/) | SuiteSparse is a collection of libraries manipulate sparse matrices. |
| [Trilinos](http://trilinos.sandia.gov/) | The Trilinos Project is an effort to develop algorithms and enabling technologies within an object-oriented software framework for the solution of large-scale, complex multi-physics engineering and scientific problems. A unique design feature of Trilinos is its focus on packages. |

## Os

| Module | Description |
| ------ | ----------- |
| [CentOS](https://www.centos.org/) | The CentOS Project is a community-driven free software effort focused on delivering a robust open source ecosystem. For users, we offer a consistent manageable platform that suits a wide variety of deployments. For open source communities, we offer a solid, predictable base to build upon, along with extensive resources to build, test, release, and maintain their code. We’re also expanding the availability of CentOS images across a number of vendors, providing official images for Amazon, Google, and more. For self-hosted cloud, we also provide a generic cloud-init enabled image. For more information about updates and improvements in CentOS 7, please check out the release notes or the release announcement in the mailing list archive. |
| [Debian](https://www.debian.org/) | Debian is a Unix-like operating system composed entirely of free software packaged by a team of volunteers. The Debian Project was started by Ian Murdock on August 16, 1993, Debian 0.01 was released on September 15, 1993, and the first stable version, 1.1, was released on June 17, 1996. The Debian stable branch is the most popular edition for personal computers and network servers, and is used as a base for many other distributions. The project's work is carried out over the Internet, guided by the Debian Project Leader and three foundational documents: the Debian Social Contract, the Debian Constitution, and the Debian Free Software Guidelines. New distributions are updated continually, and the next candidate is released after a time-based freeze. One of the earliest operating systems based on the Linux kernel, Debian has been developed openly and distributed freely in the spirit of the GNU Project. This decision drew the support of the Free Software Foundation, which sponsored the project for one year from November 1994 to November 1995. When the sponsorship ended, the Debian Project formed Software in the Public Interest to continue supporting development. While all Debian releases are based on the GNU userland and GNU C Library (glibc), kernels other than Linux are also available, including FreeBSD and the GNU Hurd microkernel. |
| [Singularity-wrappers](https://docs.it4i.cz) | Wrappers for Singularity containers (mailto:easybuild@vsb.cz). |
| [Ubuntu](https://www.ubuntu.com/) | Ubuntu is a Debian-based Linux operating system for personal computers, tablets and smartphones, where Ubuntu Touch edition is used. It also runs network servers. That is usually with the Ubuntu Server edition, either on physical or virtual servers (such as on mainframes) or with containers, that is with enterprise-class features. It runs on the most popular architectures, including server-class ARM-based. Ubuntu is published by Canonical Ltd, who offer commercial support. It is based on free software and named after the Southern African philosophy of ubuntu (literally, 'human-ness'), which Canonical Ltd. suggests can be loosely translated as "humanity to others" or "I am what I am because of who we all are". Since Ubuntu 11.04 Natty Narwhal Ubuntu has used Unity as its default user interface for the desktop, but following the release of Ubuntu 17.10 it will move to the GNOME 3 desktop instead, as work on Unity ends. Ubuntu is the most popular operating system running in hosted environments, so–called "clouds", as it is the most popular server Linux distribution. Development of Ubuntu is led by UK-based Canonical Ltd., a company of South African entrepreneur Mark Shuttleworth. Canonical generates revenue through the sale of technical support and other services related to Ubuntu. The Ubuntu project is publicly committed to the principles of open-source software development; people are encouraged to use free software, study how it works, improve upon it, and distribute it. |

## Perf

| Module | Description |
| ------ | ----------- |
| [Advisor](https://software.intel.com/intel-advisor-xe) | Vectorization Optimization and Thread Prototyping - Vectorize & thread code or performance “dies” - Easy workflow + data + tips = faster code faster - Prioritize, Prototype & Predict performance gain |
| [Cube](http://www.scalasca.org/software/cube-4.x/download.html) | Cube, which is used as performance report explorer for Scalasca and Score-P, is a generic tool for displaying a multi-dimensional performance space consisting of the dimensions (i) performance metric, (ii) call path, and (iii) system resource. Each dimension can be represented as a tree, where non-leaf nodes of the tree can be collapsed or expanded to achieve the desired level of granularity. |
| [ipp](http://software.intel.com/en-us/articles/intel-ipp/) | Intel Integrated Performance Primitives (Intel IPP) is an extensive library of multicore-ready, highly optimized software functions for multimedia, data processing, and communications applications. Intel IPP offers thousands of optimized functions covering frequently used fundamental algorithms. |
| [MAP](http://www.allinea.com/) | C, C++ and F90 profiler for high performance and multithreaded Linux applications |
| [OPARI2](http://www.score-p.org) | OPARI2, the successor of Forschungszentrum Juelich's OPARI, is a source-to-source instrumentation tool for OpenMP and hybrid codes. It surrounds OpenMP directives and runtime library calls with calls to the POMP2 measurement interface. |
| [OTF2](http://www.score-p.org) | The Open Trace Format 2 is a highly scalable, memory efficient event trace data format plus support library. It will become the new standard trace format for Scalasca, Vampir, and Tau and is open for other tools. |
| [PAPI](http://icl.cs.utk.edu/projects/papi/) | PAPI provides the tool designer and application engineer with a consistent interface and methodology for use of the performance counter hardware found in most major microprocessors. PAPI enables software engineers to see, in near real time, the relation between software performance and processor events. In addition Component PAPI provides access to a collection of components that expose performance measurement opportunites across the hardware and software stack. |
| [PDT](http://www.cs.uoregon.edu/research/pdt/) | Program Database Toolkit (PDT) is a framework for analyzing source code written in several programming languages and for making rich program knowledge accessible to developers of static and dynamic analysis tools. PDT implements a standard program representation, the program database (PDB), that can be accessed in a uniform way through a class library supporting common PDB operations. |
| [perfboost](http://www.sgi.com/) | Use applications compiled with other MPIs with SGI MPI |
| [perfcatcher](http://www.sgi.com/) | Light-weight application profiler for SGI MPI |
| [PerfReports](http://www.allinea.com/") | helps you address the question of quality of utilization. It provides a one page HTML report - collecting, analyzing and reporting the key metrics that impact performance. It can be used without changing either the source code or the application - removing the barriers and opening access to everyon |
| [PerfSuite](http://perfsuite.ncsa.illinois.edu/") | PerfSuite is a collection of tools, utilities, and libraries for software performance analysis where the primary design goals are ease of use, comprehensibility, interoperability, and simplicity. This software can provide a good "entry point" for more detailed performance analysis and can help point the way towards selecting other tools and/or techniques using more specialized software if necessary (for example, tools/libraries from academic research groups or third-party commercial software |
| [Scalasca](http://www.scalasca.org/) | Scalasca is a software tool that supports the performance optimization of parallel programs by measuring and analyzing their runtime behavior. The analysis identifies potential performance bottlenecks – in particular those concerning communication and synchronization – and offers guidance in exploring their causes. |
| [Score-P](http://www.vi-hps.org/projects/score-p//) | Score-P offers the user a maximum of convenience by supporting a number of analysis tools. Currently, it works with Periscope, Scalasca, Vampir, and Tau and is open for other tools. Score-P comes together with the new Open Trace Format Version 2, the Cube4 profiling format and the Opari2 instrumenter (see below). Score-P is available under the New BSD Open Source license. |
| [Vampir](http://www.vampir.eu) | The Vampir software tool provides an easy-to-use framework that enables developers to quickly display and analyze arbitrary program behavior at any level of detail. The tool suite implements optimized event analysis algorithms and customizable displays that enable fast and interactive rendering of very complex performance monitoring data. |
| [VampirServer](http://www.vampir.eu) | The Vampir software tool provides an easy-to-use framework that enables developers to quickly display and analyze arbitrary program behavior at any level of detail. The tool suite implements optimized event analysis algorithms and customizable displays that enable fast and interactive rendering of very complex performance monitoring data. |

## Phys

| Module | Description |
| ------ | ----------- |
| [ALAMODE](http://alamode.readthedocs.io/) | ALAMODE is an open source software designed for analyzing lattice anharmonicity and lattice thermal conductivity of solids. By using an external DFT package such as VASP and Quantum ESPRESSO, you can extract harmonic and anharmonic force constants straightforwardly with ALAMODE. Using the calculated anharmonic force constants, you can also estimate lattice thermal conductivity, phonon linewidth, and other anharmonic phonon properties from first principles. |
| [CASMcode](https://github.com/prisms-center/CASMcode) | CASM (https://github.com/prisms-center/CASMcode) is an open source software package designed to perform first-principles statistical mechanical studies of multi-component crystalline solids. CASM interfaces with first-principles electronic structure codes, automates the construction and parameterization of effective Hamiltonians and subsequently builds highly optimized (kinetic) Monte Carlo codes to predict finite-temperature thermodynamic and kinetic properties. CASM uses group theoretic techniques that take full advantage of crystal symmetry in order to rigorously construct effective Hamiltonians for almost arbitrary degrees of freedom in crystalline solids. This includes cluster expansions for configurational disorder in multi-component solids and lattice-dynamical effective Hamiltonians for vibrational degrees of freedom involved in structural phase transitions. |
| [DynaPhoPy](https://github.com/abelcarreras/DynaPhoPy) | Software to calculate crystal microscopic anharmonic properties from molecular dynamics (MD) using the normal-mode-decomposition technique. These properties include the phonon frequency shifts and linewidths, as well as the renormalized force constanst and thermal properties by using quasiparticle theory. This code includes interfaces for MD outputs from VASP and LAMMPS .PHONOPY code is used to obtain harmonic phonon modes. |
| [Elk](http://elk.sourceforge.net/) | An all-electron full-potential linearised augmented-plane wave (FP-LAPW) code with many advanced features. Written originally at Karl-Franzens-Universität Graz as a milestone of the EXCITING EU Research and Training Network, the code is designed to be as simple as possible so that new developments in the field of density functional theory (DFT) can be added quickly and reliably. |
| [LMGC90](https://git-xen.lmgc.univ-montp2.fr/lmgc90/) | LMGC90 is a free and open source software dedicated to multiple physics simulation of discrete material and structures. Module created by Jiri Tomcala from the PERMON Team (http://permon.it4i.cz) and Josef Hrabal from IT4I Supercomputing Services |
| [Meep](http://ab-initio.mit.edu/wiki/index.php/Meep) | Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation software package developed at MIT to model electromagnetic systems. |
| [Netgen](https://ngsolve.org/) | Netgen/NGSolve is a high performance multiphysics finite element software. It is widely used to analyze models from solid mechanics, fluid dynamics and electromagnetics. Due to its flexible Python interface new physical equations and solution algorithms can be implemented easily. |
| [phono3py](http://phonopy.sourceforge.net/phono3py/index.html) | This software calculates phonon-phonon interaction related properties |
| [phonopy](http://python.org/) | Python is a programming language that lets you work more quickly and integrate your systems more effectively. |
| [PLUTO](https://github.com/JohannesBuchner/PLUTO) | PLUTO is Godunov-type code for astrophysical fluid dynamics supporting several modules and algorithms. This is the v 4.2 (August 2015) version of the code (http://plutocode.ph.unito.it). This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. |
| [PragTic](http://permon.it4i.cz/pragtic) | PragTic is a module for massively parallel runs of the PragTic library. Homepage: http://permon.it4i.cz/pragtic. Module created by Jiri Tomcala from the PERMON Team (http://permon.it4i.cz) |
| [Sen2Cor](http://step.esa.int/main/third-party-plugins-2/sen2cor/) | Sen2Cor is a processor for Sentinel-2 Level 2A product generation and formatting; it performs the atmospheric-, terrain and cirrus correction of Top-Of- Atmosphere Level 1C input data. Sen2Cor creates Bottom-Of-Atmosphere, optionally terrain- and cirrus corrected reflectance images; additional, Aerosol Optical Thickness-, Water Vapor-, Scene Classification Maps and Quality Indicators for cloud and snow probabilities. Its output product format is equivalent to the Level 1C User Product: JPEG 2000 images, three different resolutions, 60, 20 and 10 m. |
| [Siesta](http://departments.icmab.es/leem/siesta) | SIESTA is both a method and its computer program implementation, to perform efficient electronic structure calculations and ab initio molecular dynamics simulations of molecules and solids. This version si compiled with OpenMP and MPI support. |
| [VASP](http://www.vasp.at) | The Vienna Ab initio Simulation Package (VASP) is a computer program for atomic scale materials modelling, e.g. electronic structure calculations and quantum-mechanical molecular dynamics, from first principles. To use VASP, You need academic licenses from University of Wiena. Follow the instructions https://www.vasp.at/index.php/faqs. Then send us please a list of authorized users and their ID for which you need this access. Please use only http://support.it4i.cz/rt. We are responsible to verify your licenses. After succesfull verification You will be granted to use VASP in our enviroment. |

## Python

| Module | Description |
| ------ | ----------- |
| [absl-py](https://pypi.python.org/pypi/absl-py) | Abseil Python Common Libraries, see https://github.com/abseil/abseil-py. |
| [ASE](https://wiki.fysik.dtu.dk/ase/) | ASE is a python package providing an open source Atomic Simulation Environment in the Python scripting language. |
| [asn1crypto](https://pypi.python.org/pypi/asn1crypto) | A fast, pure Python library for parsing and serializing ASN.1 structures. |
| [astor](https://pypi.python.org/pypi/astor) | Read/rewrite/write Python ASTs |
| [asv](https://github.com/airspeed-velocity/asv) | Airspeed velocity (asv) is a tool for benchmarking Python packages over their lifetime. |
| [attrs](http://www.attrs.org/) | Classes Without Boilerplate |
| [backports_abc](https://pypi.python.org/pypi/backports_abc) | A backport of recent additions to the "collections.abc" module. |
| [bcrypt](https://pypi.python.org/pypi/bcrypt) | Modern password hashing for your software and your servers |
| [bleach](https://pypi.python.org/pypi/bleach) | An easy safelist-based HTML-sanitizing tool. |
| [BoltzTraP2](https://www.imc.tuwien.ac.at/index.php?id=21094) | BoltzTraP2 is a modern implementation of the smoothed Fourier interpolation algorithm for electronic bands that formed the base of the original and widely used BoltzTraP code. |
| [certifi](https://pypi.python.org/pypi/certifi) | Python package for providing Mozillas CA Bundle. |
| [cffi](https://pypi.python.org/pypi/cffi) | Foreign Function Interface for Python calling C code. |
| [click](https://pypi.python.org/pypi/click) | A simple wrapper around optparse for powerful command line utilities. |
| [cryptography](https://pypi.python.org/pypi/cryptography) | Cryptography is a package which provides cryptographic recipes and primitives to Python developers. |
| [cycler](https://matplotlib.org/cycler) | Composable style cycles. |
| [dask](https://pypi.python.org/pypi/dask) | Parallel PyData with Task Scheduling. |
| [decorator](https://pypi.python.org/pypi/decorator) | Better living through Python with decorators. |
| [dist-keras](https://pypi.python.org/pypi/dist-keras) | Distributed Deep learning with Apache Spark with Keras. |
| [DynaPhoPy](https://github.com/abelcarreras/DynaPhoPy) | Software to calculate crystal microscopic anharmonic properties from molecular dynamics (MD) using the normal-mode-decomposition technique. These properties include the phonon frequency shifts and linewidths, as well as the renormalized force constanst and thermal properties by using quasiparticle theory. This code includes interfaces for MD outputs from VASP and LAMMPS .PHONOPY code is used to obtain harmonic phonon modes. |
| [enum34](https://pypi.python.org/pypi/enum34) | An enumeration is a set of symbolic names (members) bound to unique, constant values. |
| [fasteners](https://pypi.python.org/pypi/fasteners) | A python package that provides useful locks. |
| [Flask](https://pypi.python.org/pypi/flask) | A microframework based on Werkzeug, Jinja2 and good intentions. |
| [funcsigs](https://pypi.python.org/pypi/enum34) | An enumeration is a set of symbolic names (members) bound to unique, constant values. |
| [gast](https://pypi.python.org/pypi/gast) | Python AST that abstracts the underlying Python version |
| [grpcio](https://pypi.python.org/pypi/grpcio) | HTTP/2-based RPC framework |
| [h5py](http://www.h5py.org/) | HDF5 for Python (h5py) is a general-purpose Python interface to the Hierarchical Data Format library, version 5. HDF5 is a versatile, mature scientific software library designed for the fast, flexible storage of enormous amounts of data. |
| [html5lib](https://pypi.python.org/pypi/html5lib) | HTML parser based on the WHATWG HTML specification. |
| [idna](https://pypi.python.org/pypi/idna) | Support for the Internationalised Domain Names in Applications (IDNA) protocol as specified in RFC 5891. |
| [ipaddress](https://pypi.python.org/pypi/ipaddress) | IPv4/IPv6 manipulation library. |
| [itsdangerous](https://pypi.python.org/pypi/itsdangerous) | Various helpers to pass trusted data to untrusted environments and back. |
| [Jinja2](https://pypi.python.org/pypi/jinja) | A small but fast and easy to use stand-alone template engine written in pure python. |
| [Keras](https://keras.io/) | Keras is a minimalist, highly modular neural networks library, written in Python and capable of running on top of either TensorFlow or Theano. |
| [Keras_Applications](https://pypi.python.org/pypi/enum34) | An enumeration is a set of symbolic names (members) bound to unique, constant values. |
| [Keras_Preprocessing](https://pypi.python.org/pypi/enum34) | An enumeration is a set of symbolic names (members) bound to unique, constant values. |
| [latexcodec](https://pypi.python.org/pypi/latexcodec) | A lexer and codec to work with LaTeX code in Python. |
| [loom](https://code.it4i.cz/ADAS/loom) | Framework for distributed task execution |
| [lxml](http://lxml.de/) | The lxml XML toolkit is a Pythonic binding for the C libraries libxml2 and libxslt. |
| [Mako](http://www.makotemplates.org) | A super-fast templating language that borrows the best ideas from the existing templating languages |
| [Markdown](https://pypi.python.org/pypi/Markdown) | Python implementation of Markdown. |
| [MarkupSafe](https://pypi.python.org/pypi/markupsafe) | Implements a XML/HTML/XHTML Markup safe string for Python. |
| [matplotlib](http://matplotlib.org) | matplotlib is a python 2D plotting library which produces publication quality figures in a variety of hardcopy formats and interactive environments across platforms. matplotlib can be used in python scripts, the python and ipython shell, web application servers, and six graphical user interface toolkits. |
| [Mercurial](http://mercurial.selenic.com/) | Mercurial is a free, distributed source control management tool. It efficiently handles projects of any size and offers an easy and intuitive interface. |
| [mock](https://pypi.python.org/pypi/enum34) | An enumeration is a set of symbolic names (members) bound to unique, constant values. |
| [monotonic](https://pypi.python.org/pypi/monotonic) | This module provides a monotonic() function which returns the value (in fractional seconds) of a clock which never goes backwards. |
| [monty](https://pypi.python.org/pypi/monty) | Monty is the missing complement to Python. |
| [mpi4py](http://mpi4py.scipy.org/docs) | MPI for Python (mpi4py) provides bindings of the Message Passing Interface (MPI) standard for the Python programming language, allowing any Python program to exploit multiple processors. |
| [mpmath](https://pypi.python.org/pypi/mpmath) | Python library for arbitrary-precision floating-point arithmetic. |
| [networkx](https://pypi.python.org/pypi/networkx) | NetworkX is a Python package for the creation, manipulation, and study of the structure, dynamics, and functions of complex networks. |
| [numpy](http://www.numpy.org) | NumPy is the fundamental package for scientific computing with Python. It contains among other things: a powerful N-dimensional array object, sophisticated (broadcasting) functions, tools for integrating C/C++ and Fortran code, useful linear algebra, Fourier transform, and random number capabilities. Besides its obvious scientific uses, NumPy can also be used as an efficient multi-dimensional container of generic data. Arbitrary data-types can be defined. This allows NumPy to seamlessly and speedily integrate with a wide variety of databases. |
| [packaging](https://pypi.python.org/pypi/packaging) | Core utilities for Python packages. |
| [palettable](https://pypi.python.org/pypi/palettable) | Color palettes for Python. |
| [pandas](https://pypi.python.org/pypi/pandas) | Powerful data structures for data analysis, time series,and statistics. |
| [paramiko](https://pypi.python.org/pypi/paramiko) | This is a library for making SSH2 connections (client or server). |
| [pbr](https://pypi.python.org/pypi/enum34) | An enumeration is a set of symbolic names (members) bound to unique, constant values. |
| [phonopy](http://python.org/) | Python is a programming language that lets you work more quickly and integrate your systems more effectively. |
| [Pillow](http://pillow.readthedocs.org/) | Pillow is the 'friendly PIL fork' by Alex Clark and Contributors. PIL is the Python Imaging Library by Fredrik Lundh and Contributors. |
| [Platypus](https://github.com/andyrimmer/Platypus) | The Platypus variant caller. |
| [pluggy](https://github.com/pytest-dev/pluggy) | Plugin and hook calling mechanisms for python. |
| [pudb](https://pypi.python.org/pypi/pudb) | PuDB is a full-screen, console-based visual debugger for Python. |
| [py4j](https://pypi.python.org/pypi/py4j) | Enables Python programs to dynamically access arbitrary Java objects. |
| [pyasn1](https://pypi.python.org/pypi/pyasn1) | Pure-Python implementation of ASN.1 types and DER/BER/CER codecs (X.208) |
| [pybtex](https://pypi.python.org/pypi/pybtex) | A BibTeX-compatible bibliography processor in Python. |
| [pycparser](https://pypi.python.org/pypi/pycparser) | Pycparser is a complete parser of the C language, written in pure Python using the PLY parsing library. It parses C code into an AST and can serve as a front-end for C compilers or analysis tools. |
| [PyDispatcher](https://pypi.python.org/pypi/PyDispatcher) | Multi-producer-multi-consumer signal dispatching mechanism. |
| [pydot](https://pypi.python.org/pypi/pydot) | A Python interface to GraphViz and the DOT language. |
| [pyFFTW](https://pypi.python.org/pypi/pyFFTW) | A pythonic wrapper around FFTW, the FFT library, presenting a unified interface for all the supported transforms. |
| [pymatgen](https://pypi.python.org/pypi/pymatgen) | Python Materials Genomics is a robust materials analysis code that defines core object representations for structures and molecules with support for many electronic structure codes. It is currently the core analysis code powering the Materials Project (https://www.materialsproject.org). |
| [PyNaCl](https://pypi.python.org/pypi/PyNaCl) | Python binding to the Networking and Cryptography (NaCl) library |
| [pyparsing](http://pyparsing.wikispaces.com) | The pyparsing module provides a library of classes that client code uses to construct the grammar directly in Python code. |
| [PyQt](http://www.riverbankcomputing.co.uk/software/pyqt) | PyQt is a set of Python v2 and v3 bindings for Digia's Qt application framework. |
| [PyQt5](http://www.riverbankcomputing.co.uk/software/pyqt) | PyQt5 is a set of Python bindings for v5 of the Qt application framework from The Qt Company. |
| [pyspark](https://pypi.python.org/pypi/pyspark) | Apache Spark Python API |
| [pytest](http://pytest.org) | Simple powerful testing with Python |
| [python-dateutil](https://github.com/dateutil/dateutil) | Useful extensions to the standard Python datetime features. |
| [pytz](http://pytz.sourceforge.net/) | pytz brings the Olson tz database into Python. This library allows accurate and cross platform timezone calculations using Python 2.4 or higher. |
| [PyWavelets](https://pypi.python.org/pypi/PyWavelets) | PyWavelets, wavelet transform module. |
| [PyYAML](https://pypi.python.org/pypi/PyYAML/) | PyYAML is a YAML parser and emitter for the Python programming language. |
| [pyzmq](https://pypi.python.org/pypi/pyzmq) | Python bindings for 0MQ. |
| [ranger](https://github.com/ranger/ranger) | ranger is a console file manager with VI key bindings. It provides a minimalistic and nice curses interface with a view on the directory hierarchy. It ships with rifle, a file launcher that is good at automatically finding out which program to use for what file type. |
| [requests](https://pypi.python.org/pypi/requests) | Python HTTP for Humans. |
| [ruamel.yaml](https://pypi.python.org/pypi/ruamel.yaml) | ruamel.yaml is a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order |
| [scikit-image](http://scikit-learn.org/stable/index.html) | Scikit-learn integrates machine learning algorithms in the tightly-knit scientific Python world, building upon numpy, scipy, and matplotlib. As a machine-learning module, it provides versatile tools for data mining and analysis in any field of science and engineering. It strives to be simple and efficient, accessible to everybody, and reusable in various contexts. |
| [scikit-learn](http://scikit-learn.org/stable/index.html) | Scikit-learn integrates machine learning algorithms in the tightly-knit scientific Python world, building upon numpy, scipy, and matplotlib. As a machine-learning module, it provides versatile tools for data mining and analysis in any field of science and engineering. It strives to be simple and efficient, accessible to everybody, and reusable in various contexts. |
| [scipy](https://github.com/jupyter/testpath) | Test utilities for code working with files and commands |
| [SCons](http://www.scons.org/) | SCons is a software construction tool. |
| [seaborn](https://pypi.python.org/pypi/seaborn) | Seaborn: statistical data visualization |
| [singledispatch](https://pypi.python.org/pypi/singledispatch) | A small but fast and easy to use stand-alone template engine written in pure python. |
| [SIP](http://www.riverbankcomputing.com/software/sip/) | SIP is a tool that makes it very easy to create Python bindings for C and C++ libraries. |
| [six](https://github.com/benjaminp/six) | Python 2 and 3 compatibility library. |
| [spglib-python](https://pypi.python.org/pypi/spglib) | Spglib for Python. Spglib is a library for finding and handling crystal symmetries written in C. |
| [sympy](http://sympy.org/) | SymPy is a Python library for symbolic mathematics. It aims to become a full-featured computer algebra system (CAS) while keeping the code as simple as possible in order to be comprehensible and easily extensible. SymPy is written entirely in Python and does not require any external libraries. |
| [tabulate](https://pypi.python.org/pypi/tabulate) | Pretty-print tabular data. |
| [tensorboard](https://github.com/tensorflow/tensorboard) | TensorBoard lets you watch Tensors Flow. |
| [Tensorflow](https://www.tensorflow.org/) | An open-source software library for Machine Intelligence |
| [tensorflow-tensorboard](https://github.com/tensorflow/tensorboard) | TensorBoard lets you watch Tensors Flow. |
| [termcolor](https://pypi.python.org/pypi/termcolor) | ANSII Color formatting for output in terminal. |
| [Theano](http://deeplearning.net/software/theano) | Theano is a Python library that allows you to define, optimize, and evaluate mathematical expressions involving multi-dimensional arrays efficiently. |
| [toolz](https://pypi.python.org/pypi/toolz) | List processing tools and functional utilities. |
| [tornado](https://pypi.python.org/pypi/tornado) | Tornado is a Python web framework and asynchronous networking library, originally developed at FriendFeed. |
| [urllib3](https://pypi.python.org/pypi/urllib3) | HTTP library with thread-safe connection pooling, file post, and more. |
| [virtualenv](https://pypi.python.org/pypi/virtualenv) | Virtual Python Environment builder. |
| [webencodings](https://pypi.python.org/pypi/webencodings) | Character encoding aliases for legacy web content. |
| [Werkzeug](https://pypi.python.org/pypi/Werkzeug) | The comprehensive WSGI web application library. |
| [wheel](https://pypi.python.org/pypi/wheel) | A built-package format for Python. |

## System

| Module | Description |
| ------ | ----------- |
| [eudev](https://wiki.gentoo.org/wiki/Project:Eudev) | eudev is a fork of systemd-udev with the goal of obtaining better compatibility with existing software such as OpenRC and Upstart, older kernels, various toolchains and anything else required by users and various distributions. |
| [hwloc](http://www.open-mpi.org/projects/hwloc/) | The Portable Hardware Locality (hwloc) software package provides a portable abstraction (across OS, versions, architectures, ...) of the hierarchical topology of modern architectures, including NUMA memory nodes, sockets, shared caches, cores and simultaneous multithreading. It also gathers various system attributes such as cache and memory information as well as the locality of I/O devices such as network interfaces, InfiniBand HCAs or GPUs. It primarily aims at helping applications with gathering information about modern computing hardware so as to exploit it accordingly and efficiently. |
| [libpciaccess](http://cgit.freedesktop.org/xorg/lib/libpciaccess/) | Generic PCI access library. |
| [LibreSSL](http://www.libressl.org/) | LibreSSL is a version of the TLS/crypto stack forked from OpenSSL in 2014, with goals of modernizing the codebase, improving security, and applying best practice development processes. Primary development occurs inside the OpenBSD source tree with the usual care the project is known for. On a regular basis the code is re-packaged for portable use by other operating systems (Linux, FreeBSD, Windows, etc). |
| [OpenSSL](http://www.openssl.org/) | The OpenSSL Project is a collaborative effort to develop a robust, commercial-grade, full-featured, and Open Source toolchain implementing the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1) protocols as well as a full-strength general purpose cryptography library. |

## Toolchain

| Module | Description |
| ------ | ----------- |
| foss | GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support, OpenBLAS (BLAS and LAPACK support), FFTW and ScaLAPACK. |
| [GNU](http://www.gnu.org/software/) | Compiler-only toolchain with GCC and binutils. |
| gompi | GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support. |
| [iccifort](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Intel C, C++ and Fortran compilers |
| [ictce](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Intel Cluster Toolkit Compiler Edition provides Intel C/C++ and Fortran compilers, Intel MPI & Intel MKL. |
| [iimpi](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Intel C/C++ and Fortran compilers, alongside Intel MPI. |
| [intel](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Intel Cluster Toolkit Compiler Edition provides Intel C/C++ and Fortran compilers, Intel MPI & Intel MKL. |
| [iomkl](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Intel Cluster Toolchain Compiler Edition provides Intel C/C++ and Fortran compilers, Intel MKL & OpenMPI. |
| [iompi](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Intel C/C++ and Fortran compilers, alongside Open MPI. |
| [libc](https://www.gnu.org/software/libc/) | The Glibc package contains the main C library. This library provides the basic routines for allocating memory, searching directories, opening and closing files, reading and writing files, string handling, pattern matching, arithmetic, and so on. |
| [PRACE](http://www.prace-ri.eu/PRACE-Common-Production) | The PRACE Common Production Environment (PCPE) is a set of software tools and libraries that are planned to be available on all PRACE execution sites. The PCPE also defines a set of environment variables that try to make compilation on all sites as homogeneous and simple as possible. |
| [prace](http://www.prace-ri.eu/PRACE-Common-Production) | PRACE Common Production Environment (PCPE) Initialisation of the PRACE common production environment. This allows you to assume that the following tools/libraries are available by default in your PATH/environment. * Fortran, C, C++ Compilers * MPI * BLAS, LAPACK, BLACS, ScaLAPACK * FFTW * HDF5, NetCDF The compiler commands on are: * mpif90 - Fortran compiler * mpicc - C compiler * mpicxx - C++ compiler For more information on the PCPE please see the documentation at: http://www.prace-ri.eu/PRACE-Common-Production For help using this system, please see Local User Guide available at: http://prace-ri.eu/Best-Practice-Guide-Anselm-HTML |
| [Py](https://www.python.org) | Python 2.7 toolchain |

## Tools

| Module | Description |
| ------ | ----------- |
| [ANSYS](http://www.ansys.com) | ANSYS simulation software enables organizations to confidently predict how their products will operate in the real world. We believe that every product is a promise of something greater. |
| [APR](http://apr.apache.org/) | Apache Portable Runtime (APR) libraries. |
| [APR-util](http://apr.apache.org/) | Apache Portable Runtime (APR) util libraries. |
| [Bash](http://www.gnu.org/software/bash) | Bash is an sh-compatible command language interpreter that executes commands read from the standard input or from a file. Bash also incorporates useful features from the Korn and C shells (ksh and csh). |
| [BeoPEST](http://www.prinmath.com/pest/) | BeoPEST is a special version of John Doherty's PEST adapted for Beowulf clusters. BeoPEST is identical in operation to Parallel PEST, except that it instead of a master and slaves that communicate through the file system, BeoPEST uses a master and smart slaves that communicate via TCP/IP or MPI. BeoPEST also uses smart slaves which offloads much of the effort to the slaves which is important for BeoPEST to scale to hundreds or thousands of slaves. More detail is provided in the BeoPEST Documentation. |
| [binutils](http://directory.fsf.org/project/binutils/) | binutils: GNU binary utilities |
| [bzip2](http://www.bzip.org/) | bzip2 is a freely available, patent free, high-quality data compressor. It typically compresses files to within 10% to 15% of the best available techniques (the PPM family of statistical compressors), whilst being around twice as fast at compression and six times faster at decompression. |
| [CORALbenchmark](https://asc.llnl.gov/CORAL-benchmarks) | Benchmark Codes |
| [Coreutils](http://www.gnu.org/software/coreutils/) | The GNU Core Utilities are the basic file, shell and text manipulation utilities of the GNU operating system. These are the core utilities which are expected to exist on every operating system. |
| [cURL](http://curl.haxx.se) | libcurl is a free and easy-to-use client-side URL transfer library, supporting DICT, FILE, FTP, FTPS, Gopher, HTTP, HTTPS, IMAP, IMAPS, LDAP, LDAPS, POP3, POP3S, RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, Telnet and TFTP. libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP form based upload, proxies, cookies, user+password authentication (Basic, Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling and more. |
| [DMTCP](http://dmtcp.sourceforge.net/index.html) | DMTCP (Distributed MultiThreaded Checkpointing) transparently checkpoints a single-host or distributed computation in user-space -- with no modifications to user code or to the O/S. |
| [duplicity](http://duplicity.nongnu.org/index.html) | Encrypted bandwidth-efficient backup using the rsync algorithm. |
| [EasyBuild](https://easybuilders.github.io/easybuild) | EasyBuild is a software build and installation framework written in Python that allows you to install software in a structured, repeatable and robust way. |
| [expat](http://expat.sourceforge.net/) | Expat is an XML parser library written in C. It is a stream-oriented parser in which an application registers handlers for things the parser might find in the XML document (like start tags) |
| [Ghostscript](http://ghostscript.com) | Ghostscript is a versatile processor for PostScript data with the ability to render PostScript to different targets. It used to be part of the cups printing stack, but is no longer used for that. |
| [git](http://git-scm.com/) | Git is a free and open source distributed version control system designed to handle everything from small to very large projects with speed and efficiency. |
| [globus](http://toolkit.globus.org/toolkit/") | Set environment variables to enable usage of Globus |
| [GLPK](https://www.gnu.org/software/glpk/) | The GLPK (GNU Linear Programming Kit) package is intended for solving large-scale linear programming (LP), mixed integer programming (MIP), and other related problems. It is a set of routines written in ANSI C and organized in the form of a callable library. |
| [gperftools](http://github.com/gperftools/gperftools) | gperftools are for use by developers so that they can create more robust applications. Especially of use to those developing multi-threaded applications in C++ with templates. Includes TCMalloc, heap-checker, heap-profiler and cpu-profiler. |
| [Graph500](http://graph500.org/) | Reference code of the Graph500 benchmark. |
| [gzip](http://www.gnu.org/software/gzip/) | gzip (GNU zip) is a popular data compression program as a replacement for compress |
| [Hadoop](http://archive.cloudera.com/cdh5/cdh/5/) | Hadoop MapReduce by Cloudera |
| [help2man](https://www.gnu.org/software/help2man/) | help2man produces simple manual pages from the '--help' and '--version' output of other commands. |
| [HPL](http://www.netlib.org/benchmark/hpl/) | HPL is a software package that solves a (random) dense linear system in double precision (64 bits) arithmetic on distributed-memory computers. It can thus be regarded as a portable as well as freely available implementation of the High Performance Computing Linpack Benchmark. |
| [Inspector](http://software.intel.com/en-us/intel-inspector-xe) | Intel Inspector XE 2013 is an easy to use memory error checker and thread checker for serial and parallel applications |
| [IOR](https://github.com/chaos/ior) | The IOR software is used for benchmarking parallel file systems using POSIX, MPIIO, or HDF5 interfaces. |
| [itac](http://software.intel.com/en-us/intel-trace-analyzer/) | The Intel Trace Collector is a low-overhead tracing library that performs event-based tracing in applications. The Intel Trace Analyzer provides a convenient way to monitor application activities gathered by the Intel Trace Collector through graphical displays. |
| [JOE](http://joe-editor.sourceforge.net) | JOE is a full featured terminal-based screen editor which is distributed under the GNU General Public License (GPL) |
| [LicenseChecker](http://www.it4i.cz) | Tools for Dr. Sevcik (mailto:dr.sevcik@vsb.cz)- checking license files |
| [likwid](https://github.com/RRZE-HPC/likwid) | Toolsuite of command line applications for performance oriented programmers |
| [Lmod](http://sourceforge.net/projects/lmod/) | Lmod is a Lua based module system. Modules allow for dynamic modification of a user's environment under Unix systems. See www.tacc.utexas.edu/tacc-projects/lmod for a complete description. Lmod is a new implementation that easily handles the MODULEPATH Hierarchical problem. It is drop-in replacement for TCL/C modules and reads TCL modulefiles directly. |
| [LSMS](https://asc.llnl.gov/CORAL-benchmarks/#lsms) | LSMS benchmark, part of CORAL suite |
| [mdtest](http://sourceforge.net/projects/mdtest/) | mdtest is an MPI-coordinated metadata benchmark test that performs open/stat/close operations on files and directories and then reports the performance. |
| [Mercurial](http://mercurial.selenic.com/) | Mercurial is a free, distributed source control management tool. It efficiently handles projects of any size and offers an easy and intuitive interface. |
| [MIKE](http://www.mikepoweredbydhi.com) | MIKE Powered by DHI is a part of DHI, the global organisation dedicated to solving challenges in water environments worldwide. |
| [moreutils](https://joeyh.name/code/moreutils/) | Moreutils is a growing collection of the unix tools that nobody thought to write long ago when unix was young. |
| [networkx](https://pypi.python.org/pypi/networkx) | NetworkX is a Python package for the creation, manipulation, and study of the structure, dynamics, and functions of complex networks. |
| [numactl](http://oss.sgi.com/projects/libnuma/) | The numactl program allows you to run your application program on specific cpu's and memory nodes. It does this by supplying a NUMA memory policy to the operating system before running your program. The libnuma library provides convenient ways for you to add NUMA memory policies into your own program. |
| [osm2pgsql](http://wiki.openstreetmap.org/wiki/Osm2pgsql) | osm2pgsql is a command-line based program that converts OpenStreetMap data to postGIS-enabled PostgreSQL databases |
| [PAPI](http://icl.cs.utk.edu/projects/papi/) | PAPI provides the tool designer and application engineer with a consistent interface and methodology for use of the performance counter hardware found in most major microprocessors. PAPI enables software engineers to see, in near real time, the relation between software performance and processor events. In addition Component PAPI provides access to a collection of components that expose performance measurement opportunites across the hardware and software stack. |
| [parallel](http://savannah.gnu.org/projects/parallel/) | parallel: Build and execute shell commands in parallel |
| [PatchELF](https://nixos.org/patchelf.html) | PatchELF is a small utility to modify the dynamic linker and RPATH of ELF executables. |
| [pigz](http://zlib.net/pigz/) | pigz, which stands for parallel implementation of gzip, is a fully functional replacement for gzip that exploits multiple processors and multiple cores to the hilt when compressing data. pigz was written by Mark Adler, and uses the zlib and pthread libraries. |
| [QBOX](https://asc.llnl.gov/CORAL-benchmarks/#qbox) | QBOX benchmark, part of CORAL suite |
| [QEMU](http://wiki.qemu.org/Main_Page) | QEMU is a generic and open source machine emulator and virtualizer. |
| [RStudio](https://www.rstudio.com) | RStudio is a set of integrated tools designed to help you be more productive with R. It includes a console, syntax-highlighting editor that supports direct code execution, as well as tools for plotting, history, debugging and workspace management. |
| [Scalasca](http://www.scalasca.org/) | Scalasca is a software tool that supports the performance optimization of parallel programs by measuring and analyzing their runtime behavior. The analysis identifies potential performance bottlenecks – in particular those concerning communication and synchronization – and offers guidance in exploring their causes. |
| [Score-P](http://www.vi-hps.org/projects/score-p//) | Score-P offers the user a maximum of convenience by supporting a number of analysis tools. Currently, it works with Periscope, Scalasca, Vampir, and Tau and is open for other tools. Score-P comes together with the new Open Trace Format Version 2, the Cube4 profiling format and the Opari2 instrumenter (see below). Score-P is available under the New BSD Open Source license. |
| [SDE](https://software.intel.com/en-us/articles/intel-software-development-emulator) | Intel Software Development Emulator is a pintool that enables the development of applications using instruction set extensions that are not currently implemented in hardware. |
| [SentinelToolboxes](https://sentinel.esa.int/web/sentinel/toolboxes) | A common architecture for all Sentinel Toolboxes is being jointly developed by Brockmann Consult, Array Systems Computing and C-S called the Sentinel Application Platform (SNAP). The SNAP architecture is ideal for Earth Observation processing and analysis due the following technological innovations: Extensibility, Portability, Modular Rich Client Platform, Generic EO Data Abstraction, Tiled Memory Management, and a Graph Processing Framework. |
| [Serf](http://serf.apache.org/) | The serf library is a high performance C-based HTTP client library built upon the Apache Portable Runtime (APR) library |
| [Singularity](http://gmkurtzer.github.io/singularity) | Singularity is a portable application stack packaging and runtime utility. |
| [Subversion](http://subversion.apache.org/) | Subversion is an open source version control system. |
| [Szip](http://www.hdfgroup.org/doc_resource/SZIP/) | Szip compression software, providing lossless compression of scientific data |
| [Tar](http://www.gnu.org/software/tar/tar.html) | tar: The GNU tape archiver |
| [tcsh](http://www.tcsh.org) | Tcsh is an enhanced, but completely compatible version of the Berkeley UNIX C shell (csh). It is a command language interpreter usable both as an interactive login shell and a shell script command processor. It includes a command-line editor, programmable word completion, spelling correction, a history mechanism, job control and a C-like syntax. |
| [tmux](https://github.com/tmux/tmux/wiki) | It lets you switch easily between several programs in one terminal, detach them (they keep running in the background) and reattach them to a different terminal |
| [turbovnc](http://www.turbovnc.org) | TurboVNC is a derivative of VNC (Virtual Network Computing) that is tuned to provide peak performance for 3D and video workloads. |
| [util-linux](http://www.kernel.org/pub/linux/utils/util-linux) | Set of Linux utilities |
| [VDE2](http://vde.sourceforge.net) | VDE is an ethernet compliant virtual network that can be spawned over a set of physical computer over the Internet. VDE is part of virtualsquare project. |
| [VirtualGL](http://www.virtualgl.org) | VirtualGL is an open source toolkit that gives any Unix or Linux remote display software the ability to run OpenGL applications with full 3D hardware acceleration. |
| [VTune](http://software.intel.com/en-us/intel-vtune-amplifier-xe) | Intel VTune Amplifier XE 2016 is the premier performance profiler for C, C++, C#, Fortran, Assembly and Java. |
| [Wine](https://www.winehq.org) | Wine (originally an acronym for "Wine Is Not an Emulator") is a compatibility layer capable of running Windows applications on several POSIX-compliant operating systems, such as Linux, Mac OSX, & BSD. |
| [x86_adapt](https://github.com/tud-zih-energy/x86_adapt) | http://dx.doi.org/10.1007/s00450-013-0243-7 |
| [XZ](http://tukaani.org/xz/) | xz: XZ utilities |
| [zsh](http://www.zsh.org/) | Zsh is a shell designed for interactive use, although it is also a powerful scripting language. |

## Vis

| Module | Description |
| ------ | ----------- |
| [ATK](https://developer.gnome.org/ATK/stable/) | ATK provides the set of accessibility interfaces that are implemented by other toolkits and applications. Using the ATK interfaces, accessibility tools have full access to view and control running applications. |
| [cairo](http://cairographics.org) | Cairo is a 2D graphics library with support for multiple output devices. Currently supported output targets include the X Window System (via both Xlib and XCB), Quartz, Win32, image buffers, PostScript, PDF, and SVG file output. Experimental backends include OpenGL, BeOS, OS/2, and DirectFB |
| [ffmpeg](https://www.ffmpeg.org/) | A complete, cross-platform solution to record, convert and stream audio and video. |
| [FFmpeg](https://www.ffmpeg.org/) | A complete, cross-platform solution to record, convert and stream audio and video. |
| [fixesproto](http://www.freedesktop.org/wiki/Software/xlibs) | X.org FixesProto protocol headers. |
| [FLTK](http://www.fltk.org) | FLTK is a cross-platform C++ GUI toolkit for UNIX/Linux (X11), Microsoft Windows, and MacOS X. FLTK provides modern GUI functionality without the bloat and supports 3D graphics via OpenGL and its built-in GLUT emulation. |
| [fontconfig](http://www.freedesktop.org/software/fontconfig) | Fontconfig is a library designed to provide system-wide font configuration, customization and application access. |
| [freetype](http://freetype.org) | FreeType 2 is a software font engine that is designed to be small, efficient, highly customizable, and portable while capable of producing high-quality output (glyph images). It can be used in graphics libraries, display servers, font conversion tools, text image generation tools, and many other products as well. |
| [Gdk-Pixbuf](https://developer.gnome.org/gdk-pixbuf/stable/) | The Gdk Pixbuf is a toolkit for image loading and pixel buffer manipulation. It is used by GTK+ 2 and GTK+ 3 to load and manipulate images. In the past it was distributed as part of GTK+ 2 but it was split off into a separate package in preparation for the change to GTK+ 3. |
| [gettext](http://www.gnu.org/software/gettext/) | GNU `gettext' is an important step for the GNU Translation Project, as it is an asset on which we may build many other steps. This package offers to programmers, translators, and even users, a well integrated set of tools and documentation |
| [GL2PS](http://www.geuz.org/gl2ps/) | GL2PS: an OpenGL to PostScript printing library |
| [GLib](http://www.gtk.org/) | GLib is one of the base libraries of the GTK+ project |
| [gnuplot](http://gnuplot.sourceforge.net/) | Portable interactive, function plotting utility |
| [GPI-2](http://www.gpi-site.com/gpi2/) | GPI-2 is an API for the development of scalable, asynchronous and fault tolerant parallel applications. |
| [grace](http://freecode.com/projects/grace) | Grace is a WYSIWYG 2D plotting tool for X Windows System and Motif. |
| [GraphicsMagick](http://www.graphicsmagick.org/) | GraphicsMagick is the swiss army knife of image processing. |
| [GTK+](https://developer.gnome.org/gtk+/stable/) | The GTK+ 2 package contains libraries used for creating graphical user interfaces for applications. |
| [HarfBuzz](http://www.freedesktop.org/wiki/Software/HarfBuzz) | HarfBuzz is an OpenType text shaping engine. |
| [inputproto](http://www.freedesktop.org/wiki/Software/xlibs) | X.org InputProto protocol headers. |
| [JasPer](http://www.ece.uvic.ca/~frodo/jasper/) | The JasPer Project is an open-source initiative to provide a free software-based reference implementation of the codec specified in the JPEG-2000 Part-1 standard. |
| [kbproto](http://www.freedesktop.org/wiki/Software/xlibs) | X.org KBProto protocol headers. |
| [libepoxy](https://github.com/anholt/libepoxy) | Epoxy is a library for handling OpenGL function pointer management for you |
| [libGLU](ftp://ftp.freedesktop.org/pub/mesa/glu/) | The OpenGL Utility Library (GLU) is a computer graphics library for OpenGL. |
| [libICE](http://www.freedesktop.org/wiki/Software/xlibs) | X Inter-Client Exchange library for freedesktop.org |
| [libX11](http://www.freedesktop.org/wiki/Software/xlibs) | X11 client-side library |
| [libXau](http://www.freedesktop.org/wiki/Software/xlibs) | The libXau package contains a library implementing the X11 Authorization Protocol. This is useful for restricting client access to the display. |
| [libXdamage](http://www.freedesktop.org/wiki/Software/xlibs) | X Damage extension library |
| [libXdmcp](http://www.freedesktop.org/wiki/Software/xlibs) | The libXdmcp package contains a library implementing the X Display Manager Control Protocol. This is useful for allowing clients to interact with the X Display Manager. |
| [libXext](http://www.freedesktop.org/wiki/Software/xlibs) | Common X Extensions library |
| [libXfixes](http://www.freedesktop.org/wiki/Software/xlibs) | X Fixes extension library |
| [libXfont](http://www.freedesktop.org/wiki/Software/xlibs) | X font libary |
| [libXft](http://www.freedesktop.org/wiki/Software/xlibs) | X11 client-side library |
| [libXinerama](http://www.freedesktop.org/wiki/Software/xlibs) | Xinerama multiple monitor library |
| [libXrender](http://www.freedesktop.org/wiki/Software/xlibs) | X11 client-side library |
| [libXt](http://www.freedesktop.org/wiki/Software/xlibs) | libXt provides the X Toolkit Intrinsics, an abstract widget library upon which other toolkits are based. Xt is the basis for many toolkits, including the Athena widgets (Xaw), and LessTif (a Motif implementation). |
| [matplotlib](http://matplotlib.org) | matplotlib is a python 2D plotting library which produces publication quality figures in a variety of hardcopy formats and interactive environments across platforms. matplotlib can be used in python scripts, the python and ipython shell, web application servers, and six graphical user interface toolkits. |
| [Mesa](http://www.mesa3d.org/) | Mesa is an open-source implementation of the OpenGL specification - a system for rendering interactive 3D graphics. |
| [motif](http://motif.ics.com/) | Motif refers to both a graphical user interface (GUI) specification and the widget toolkit for building applications that follow that specification under the X Window System on Unix and other POSIX-compliant systems. It was the standard toolkit for the Common Desktop Environment and thus for Unix. |
| [OpenCV](http://opencv.org/) | OpenCV (Open Source Computer Vision Library) is an open source computer vision and machine learning software library. OpenCV was built to provide a common infrastructure for computer vision applications and to accelerate the use of machine perception in the commercial products. |
| [opencv-python](http://deeplearning.net/software/theano) | Theano is a Python library that allows you to define, optimize, and evaluate mathematical expressions involving multi-dimensional arrays efficiently. |
| [OpenDX](http://www.opendx.org) | Open source visualization software package based on IBM's Visualization Data Explorer. |
| [OpenJPEG](http://www.openjpeg.org/) | OpenJPEG is an open-source JPEG 2000 codec written in C language. |
| [OSPRay](http://www.ospray.org) | A Ray Tracing Based Rendering Engine for High-Fidelity Visualization |
| [p4vasp](http://www.p4vasp.at) | p4vasp is a visualization suite for the Vienna Ab-initio Simulation Package (VASP). It contains an extensible GUI framework, that can be used to view material structure, density of states, band-structure and more. |
| [Pango](http://www.pango.org/) | Pango is a library for laying out and rendering of text, with an emphasis on internationalization. Pango can be used anywhere that text layout is needed, though most of the work on Pango so far has been done in the context of the GTK+ widget toolkit. Pango forms the core of text and font handling for GTK+-2.x. |
| [ParaView](http://www.paraview.org) | ParaView is a scientific parallel visualizer. |
| [Pillow](http://pillow.readthedocs.org/) | Pillow is the 'friendly PIL fork' by Alex Clark and Contributors. PIL is the Python Imaging Library by Fredrik Lundh and Contributors. |
| [pixman](http://www.pixman.org/) | Pixman is a low-level software library for pixel manipulation, providing features such as image compositing and trapezoid rasterization. Important users of pixman are the cairo graphics library and the X server. |
| [PyCairo](http://cairographics.org/pycairo/) | Python bindings for the cairo library |
| [PyGObject](http://www.pygtk.org/) | Python Bindings for GLib/GObject/GIO/GTK+ |
| [PyGTK](http://www.pygtk.org/) | PyGTK lets you to easily create programs with a graphical user interface using the Python programming language. |
| [python-dateutil](https://github.com/dateutil/dateutil) | Useful extensions to the standard Python datetime features. |
| [scikit-image](http://scikit-learn.org/stable/index.html) | Scikit-learn integrates machine learning algorithms in the tightly-knit scientific Python world, building upon numpy, scipy, and matplotlib. As a machine-learning module, it provides versatile tools for data mining and analysis in any field of science and engineering. It strives to be simple and efficient, accessible to everybody, and reusable in various contexts. |
| [seekpath](https://github.com/giovannipizzi/seekpath) | SeeK-path is a python module to obtain and visualize band paths in the Brillouin zone of crystal structures. The definition of k-point labels follows crystallographic convention, as defined and discussed in the HPKOT paper. Moreover, the Bravais lattice is detected properly using the spacegroup symmetry. Also the suggested band path provided in the HPKOT paper is returned. Systems without time-reversal and inversion-symmetry are also properly taken into account. |
| [SUMO](http://www.sumo.dlr.de/wiki/Main_Page) | Simulation of Urban MObility (SUMO) is an open source, highly portable, microscopic and continuous road traffic simulation package designed to handle large road networks. |
| [Tix](http://tix.sourceforge.net/) | Tix, the Tk Interface eXtension, is a powerful set of user interface components that expands the capabilities of your Tcl/Tk and Python applications. Using Tix together with Tk will greatly enhance the appearance and functionality of your application. |
| [Tk](http://www.tcl.tk/) | Tk is an open source, cross-platform widget toolchain that provides a library of basic elements for building a graphical user interface (GUI) in many different programming languages. |
| [Togl](https://sourceforge.net/projects/togl/) | A Tcl/Tk widget for OpenGL rendering. |
| [VisIt](https://wci.llnl.gov/simulation/computer-codes/visit) | VisIt is an Open Source, interactive, scalable, visualization, animation and analysis tool |
| [VTK](http://www.vtk.org) | The Visualization Toolkit (VTK) is an open-source, freely available software system for 3D computer graphics, image processing and visualization. VTK consists of a C++ class library and several interpreted interface layers including Tcl/Tk, Java, and Python. VTK supports a wide variety of visualization algorithms including: scalar, vector, tensor, texture, and volumetric methods; and advanced modeling techniques such as: implicit modeling, polygon reduction, mesh smoothing, cutting, contouring, and Delaunay triangulation. |
| [X11](https://www.x.org) | The X Window System (X11) is a windowing system for bitmap displays |
| [x264](http://www.videolan.org/developers/x264.html) | x264 is a free software library and application for encoding video streams into the H.264/MPEG-4 AVC compression format, and is released under the terms of the GNU GPL. |
| [Xvfb](http://www.x.org) | Xvfb is an X server that can run on machines with no display hardware and no physical input devices. It emulates a dumb framebuffer using virtual memory. |

## Vizserv

| Module | Description |
| ------ | ----------- |
| [CUDA](https://developer.nvidia.com/cuda-toolkit) | CUDA (formerly Compute Unified Device Architecture) is a parallel computing platform and programming model created by NVIDIA and implemented by the graphics processing units (GPUs) that they produce. CUDA gives developers access to the virtual instruction set and memory of the parallel computational elements in CUDA GPUs. |
